import{s as Tf,o as wf,n as Cf}from"../chunks/scheduler.bdbef820.js";import{S as Mf,i as Df,g as o,s as a,r as l,A as If,h as r,f as s,c as n,j as b,u as c,x as d,k as g,y as e,a as M,v as i,d as p,t as m,w as u}from"../chunks/index.c0aea24a.js";import{H as ed,g as kf}from"../chunks/Heading.aab2beda.js";import{D as f}from"../chunks/Docstring.bc06628a.js";import{C as Lf}from"../chunks/CodeBlock.6ccca92e.js";import{E as Pf}from"../chunks/ExampleCodeBlock.723041fb.js";function Ef(ad){let I,Et="Examples:",j,L,P;return L=new Lf({props:{code:"aW1wb3J0JTIwcGFuZGFzJTIwYXMlMjBwZCUwQWltcG9ydCUyMHB5YXJyb3clMjBhcyUyMHBhJTBBZGYlMjAlM0QlMjBwZC5EYXRhRnJhbWUoJTdCJTBBcGEuVGFibGUuZnJvbV9wYW5kYXMoZGYp",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pandas <span class="hljs-keyword">as</span> pd
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> pyarrow <span class="hljs-keyword">as</span> pa
<span class="hljs-meta">&gt;&gt;&gt; </span>df = pd.DataFrame({
    ...     <span class="hljs-string">&#x27;int&#x27;</span>: [<span class="hljs-number">1</span>, <span class="hljs-number">2</span>],
    ...     <span class="hljs-string">&#x27;str&#x27;</span>: [<span class="hljs-string">&#x27;a&#x27;</span>, <span class="hljs-string">&#x27;b&#x27;</span>]
    ... })
<span class="hljs-meta">&gt;&gt;&gt; </span>pa.Table.from_pandas(df)
&lt;pyarrow.lib.Table <span class="hljs-built_in">object</span> at <span class="hljs-number">0x7f05d1fb1b40</span>&gt;`,wrap:!1}}),{c(){I=o("p"),I.textContent=Et,j=a(),l(L.$$.fragment)},l(D){I=r(D,"P",{"data-svelte-h":!0}),d(I)!=="svelte-kvfsh7"&&(I.textContent=Et),j=n(D),c(L.$$.fragment,D)},m(D,E){M(D,I,E),M(D,j,E),i(L,D,E),P=!0},p:Cf,i(D){P||(p(L.$$.fragment,D),P=!0)},o(D){m(L.$$.fragment,D),P=!1},d(D){D&&(s(I),s(j)),u(L,D)}}}function jf(ad){let I,Et,j,L,P,D,E,ju=`Each <code>Dataset</code> object is backed by a PyArrow Table.
A Table can be loaded from either the disk (memory mapped) or in memory.
Several Table types are available, and they all inherit from <a href="/docs/datasets/v2.14.7/en/package_reference/table_classes#datasets.table.Table">table.Table</a>.`,nd,jt,od,T,Vt,Jl,Gn,Vu=`Wraps a pyarrow Table by using composition.
This is the base class for <code>InMemoryTable</code>, <code>MemoryMappedTable</code> and <code>ConcatenationTable</code>.`,Yl,Jn,Fu=`It implements all the basic attributes/methods of the pyarrow Table class except
the Table transforms: <code>slice, filter, flatten, combine_chunks, cast, add_column, append_column, remove_column, set_column, rename_columns</code> and <code>drop</code>.`,Kl,Yn,Au="The implementation of these methods differs for the subclasses.",Zl,V,Ft,Ql,Kn,Nu="Perform validation checks.  An exception is raised if validation fails.",ec,Zn,qu=`By default only cheap validation checks are run.  Pass <code>full=True</code>
for thorough validation checks (potentially <code>O(n)</code>).`,tc,ee,At,ac,Qn,Hu="Check if contents of two tables are equal.",nc,te,Nt,oc,eo,Su="Convert Table to list of (contiguous) <code>RecordBatch</code> objects.",rc,ae,qt,sc,to,zu="Convert the Table to a <code>dict</code> or <code>OrderedDict</code>.",dc,ne,Ht,lc,ao,Uu="Convert to a pandas-compatible NumPy array or DataFrame, as appropriate.",cc,no,St,ic,oe,zt,pc,oo,Ru="Select a schema field by its column name or numeric index.",mc,re,Ut,uc,ro,Bu="Select a column by its column name, or numeric index.",bc,se,Rt,gc,so,Ou="Iterator over all columns in their numerical order.",fc,de,Bt,hc,lo,Wu="Schema of the table and its columns.",vc,le,Ot,xc,co,Xu="List of all columns in numerical order.",yc,ce,Wt,$c,io,Gu="Number of columns in this table.",_c,F,Xt,Tc,po,Ju="Number of rows in this table.",wc,mo,Yu=`Due to the definition of a table, all columns have the same number of
rows.`,Cc,ie,Gt,Mc,uo,Ku="Dimensions of the table: (#rows, #columns).",Dc,pe,Jt,Ic,bo,Zu="Total number of bytes consumed by the elements of the table.",rd,Yt,sd,h,Kt,kc,go,Qu="The table is said in-memory when it is loaded into the user’s RAM.",Lc,fo,eb=`Pickling it does copy all the data using memory.
Its implementation is simple and uses the underlying pyarrow Table methods directly.`,Pc,ho,tb=`This is different from the <code>MemoryMapped</code> table, for which pickling doesn’t copy all the
data in memory. For a <code>MemoryMapped</code>, unpickling instead reloads the table from the disk.`,Ec,vo,ab=`<code>InMemoryTable</code> must be used when data fit in memory, while <code>MemoryMapped</code> are reserved for
data bigger than memory or when you want the memory footprint of your application to
stay low.`,jc,A,Zt,Vc,xo,nb="Perform validation checks.  An exception is raised if validation fails.",Fc,yo,ob=`By default only cheap validation checks are run.  Pass <code>full=True</code>
for thorough validation checks (potentially <code>O(n)</code>).`,Ac,me,Qt,Nc,$o,rb="Check if contents of two tables are equal.",qc,ue,ea,Hc,_o,sb="Convert Table to list of (contiguous) <code>RecordBatch</code> objects.",Sc,be,ta,zc,To,db="Convert the Table to a <code>dict</code> or <code>OrderedDict</code>.",Uc,ge,aa,Rc,wo,lb="Convert to a pandas-compatible NumPy array or DataFrame, as appropriate.",Bc,Co,na,Oc,fe,oa,Wc,Mo,cb="Select a schema field by its column name or numeric index.",Xc,he,ra,Gc,Do,ib="Select a column by its column name, or numeric index.",Jc,ve,sa,Yc,Io,pb="Iterator over all columns in their numerical order.",Kc,xe,da,Zc,ko,mb="Schema of the table and its columns.",Qc,ye,la,ei,Lo,ub="List of all columns in numerical order.",ti,$e,ca,ai,Po,bb="Number of columns in this table.",ni,N,ia,oi,Eo,gb="Number of rows in this table.",ri,jo,fb=`Due to the definition of a table, all columns have the same number of
rows.`,si,_e,pa,di,Vo,hb="Dimensions of the table: (#rows, #columns).",li,Te,ma,ci,Fo,vb="Total number of bytes consumed by the elements of the table.",ii,we,ua,pi,Ao,xb="Names of the table’s columns.",mi,Ce,ba,ui,No,yb="Compute zero-copy slice of this Table.",bi,Me,ga,gi,qo,$b="Select records from a Table. See <code>pyarrow.compute.filter</code> for full usage.",fi,De,fa,hi,Ho,_b=`Flatten this Table.  Each column with a struct type is flattened
into one column per struct field.  Other columns are left unchanged.`,vi,q,ha,xi,So,Tb="Make a new table by combining the chunks this table has.",yi,zo,wb=`All the underlying chunks in the <code>ChunkedArray</code> of each column are
concatenated into zero or one chunk.`,$i,Ie,va,_i,Uo,Cb="Cast table values to another schema.",Ti,ke,xa,wi,Ro,Mb=`EXPERIMENTAL: Create shallow copy of table by replacing schema
key-value metadata with the indicated new metadata (which may be <code>None</code>,
which deletes any existing metadata).`,Ci,H,ya,Mi,Bo,Db="Add column to Table at position.",Di,Oo,Ib=`A new table is returned with the column added, the original table
object is left unchanged.`,Ii,Le,$a,ki,Wo,kb="Append column at end of columns.",Li,Pe,_a,Pi,Xo,Lb="Create new Table with the indicated column removed.",Ei,Ee,Ta,ji,Go,Pb="Replace column in Table at position.",Vi,je,wa,Fi,Jo,Eb="Create new table with columns renamed to provided names.",Ai,S,Ca,Ni,Yo,jb="Select columns of the table.",qi,Ko,Vb="Returns a new table with the specified columns, and metadata preserved.",Hi,Ve,Ma,Si,Zo,Fb="Drop one or more columns and return a new table.",zi,Qo,Da,Ui,er,Ia,Ri,k,ka,Bi,tr,Ab="Convert pandas.DataFrame to an Arrow Table.",Oi,ar,Nb=`The column types in the resulting Arrow Table are inferred from the
dtypes of the pandas.Series in the DataFrame. In the case of non-object
Series, the NumPy dtype is translated to its Arrow equivalent. In the
case of <code>object</code>, we need to guess the datatype by looking at the
Python objects in this Series.`,Wi,nr,qb=`Be aware that Series of the <code>object</code> dtype don’t carry enough
information to always lead to a meaningful Arrow type. In the case that
we cannot infer a type, e.g. because the DataFrame is of length 0 or
the Series only contains <code>None/nan</code> objects, the type is set to
null. This behavior can be avoided by constructing an explicit schema
and passing it to this function.`,Xi,Fe,Gi,Ae,La,Ji,or,Hb="Construct a Table from Arrow arrays.",Yi,Ne,Pa,Ki,rr,Sb="Construct a Table from Arrow arrays or columns.",Zi,qe,Ea,Qi,sr,zb="Construct a Table from a sequence or iterator of Arrow <code>RecordBatches</code>.",dd,ja,ld,y,Va,ep,dr,Ub=`The table is said memory mapped when it doesn’t use the user’s RAM but loads the data
from the disk instead.`,tp,lr,Rb=`Pickling it doesn’t copy the data into memory.
Instead, only the path to the memory mapped arrow file is pickled, as well as the list
of transforms to “replay” when reloading the table from the disk.`,ap,cr,Bb=`Its implementation requires to store an history of all the transforms that were applied
to the underlying pyarrow Table, so that they can be “replayed” when reloading the Table
from the disk.`,np,ir,Ob=`This is different from the <code>InMemoryTable</code> table, for which pickling does copy all the
data in memory.`,op,pr,Wb=`<code>InMemoryTable</code> must be used when data fit in memory, while <code>MemoryMapped</code> are reserved for
data bigger than memory or when you want the memory footprint of your application to
stay low.`,rp,z,Fa,sp,mr,Xb="Perform validation checks.  An exception is raised if validation fails.",dp,ur,Gb=`By default only cheap validation checks are run.  Pass <code>full=True</code>
for thorough validation checks (potentially <code>O(n)</code>).`,lp,He,Aa,cp,br,Jb="Check if contents of two tables are equal.",ip,Se,Na,pp,gr,Yb="Convert Table to list of (contiguous) <code>RecordBatch</code> objects.",mp,ze,qa,up,fr,Kb="Convert the Table to a <code>dict</code> or <code>OrderedDict</code>.",bp,Ue,Ha,gp,hr,Zb="Convert to a pandas-compatible NumPy array or DataFrame, as appropriate.",fp,vr,Sa,hp,Re,za,vp,xr,Qb="Select a schema field by its column name or numeric index.",xp,Be,Ua,yp,yr,eg="Select a column by its column name, or numeric index.",$p,Oe,Ra,_p,$r,tg="Iterator over all columns in their numerical order.",Tp,We,Ba,wp,_r,ag="Schema of the table and its columns.",Cp,Xe,Oa,Mp,Tr,ng="List of all columns in numerical order.",Dp,Ge,Wa,Ip,wr,og="Number of columns in this table.",kp,U,Xa,Lp,Cr,rg="Number of rows in this table.",Pp,Mr,sg=`Due to the definition of a table, all columns have the same number of
rows.`,Ep,Je,Ga,jp,Dr,dg="Dimensions of the table: (#rows, #columns).",Vp,Ye,Ja,Fp,Ir,lg="Total number of bytes consumed by the elements of the table.",Ap,Ke,Ya,Np,kr,cg="Names of the table’s columns.",qp,Ze,Ka,Hp,Lr,ig="Compute zero-copy slice of this Table.",Sp,Qe,Za,zp,Pr,pg="Select records from a Table. See <code>pyarrow.compute.filter</code> for full usage.",Up,et,Qa,Rp,Er,mg=`Flatten this Table.  Each column with a struct type is flattened
into one column per struct field.  Other columns are left unchanged.`,Bp,R,en,Op,jr,ug="Make a new table by combining the chunks this table has.",Wp,Vr,bg=`All the underlying chunks in the ChunkedArray of each column are
concatenated into zero or one chunk.`,Xp,tt,tn,Gp,Fr,gg="Cast table values to another schema",Jp,at,an,Yp,Ar,fg=`EXPERIMENTAL: Create shallow copy of table by replacing schema
key-value metadata with the indicated new metadata (which may be None,
which deletes any existing metadata.`,Kp,B,nn,Zp,Nr,hg="Add column to Table at position.",Qp,qr,vg=`A new table is returned with the column added, the original table
object is left unchanged.`,em,nt,on,tm,Hr,xg="Append column at end of columns.",am,ot,rn,nm,Sr,yg="Create new Table with the indicated column removed.",om,rt,sn,rm,zr,$g="Replace column in Table at position.",sm,st,dn,dm,Ur,_g="Create new table with columns renamed to provided names.",lm,O,ln,cm,Rr,Tg="Select columns of the table.",im,Br,wg="Returns a new table with the specified columns, and metadata preserved.",pm,dt,cn,mm,Or,Cg="Drop one or more columns and return a new table.",um,Wr,pn,cd,mn,id,v,un,bm,Xr,Mg=`The table comes from the concatenation of several tables called blocks.
It enables concatenation on both axis 0 (append rows) and axis 1 (append columns).`,gm,Gr,Dg=`The underlying tables are called “blocks” and can be either <code>InMemoryTable</code>
or <code>MemoryMappedTable</code> objects.
This allows to combine tables that come from memory or that are memory mapped.
When a <code>ConcatenationTable</code> is pickled, then each block is pickled:`,fm,Jr,Ig=`<li>the <code>InMemoryTable</code> objects are pickled by copying all the data in memory.</li> <li>the MemoryMappedTable objects are pickled without copying the data into memory.
Instead, only the path to the memory mapped arrow file is pickled, as well as the list
of transforms to “replays” when reloading the table from the disk.</li>`,hm,Yr,kg=`Its implementation requires to store each block separately.
The <code>blocks</code> attributes stores a list of list of blocks.
The first axis concatenates the tables along the axis 0 (it appends rows),
while the second axis concatenates tables along the axis 1 (it appends columns).`,vm,Kr,Lg=`If some columns are missing when concatenating on axis 0, they are filled with null values.
This is done using <code>pyarrow.concat_tables(tables, promote=True)</code>.`,xm,Zr,Pg=`You can access the fully combined table by accessing the <code>ConcatenationTable.table</code> attribute,
and the blocks by accessing the <code>ConcatenationTable.blocks</code> attribute.`,ym,W,bn,$m,Qr,Eg="Perform validation checks.  An exception is raised if validation fails.",_m,es,jg=`By default only cheap validation checks are run.  Pass <code>full=True</code>
for thorough validation checks (potentially <code>O(n)</code>).`,Tm,lt,gn,wm,ts,Vg="Check if contents of two tables are equal.",Cm,ct,fn,Mm,as,Fg="Convert Table to list of (contiguous) <code>RecordBatch</code> objects.",Dm,it,hn,Im,ns,Ag="Convert the Table to a <code>dict</code> or <code>OrderedDict</code>.",km,pt,vn,Lm,os,Ng="Convert to a pandas-compatible NumPy array or DataFrame, as appropriate.",Pm,rs,xn,Em,mt,yn,jm,ss,qg="Select a schema field by its column name or numeric index.",Vm,ut,$n,Fm,ds,Hg="Select a column by its column name, or numeric index.",Am,bt,_n,Nm,ls,Sg="Iterator over all columns in their numerical order.",qm,gt,Tn,Hm,cs,zg="Schema of the table and its columns.",Sm,ft,wn,zm,is,Ug="List of all columns in numerical order.",Um,ht,Cn,Rm,ps,Rg="Number of columns in this table.",Bm,X,Mn,Om,ms,Bg="Number of rows in this table.",Wm,us,Og=`Due to the definition of a table, all columns have the same number of
rows.`,Xm,vt,Dn,Gm,bs,Wg="Dimensions of the table: (#rows, #columns).",Jm,xt,In,Ym,gs,Xg="Total number of bytes consumed by the elements of the table.",Km,yt,kn,Zm,fs,Gg="Names of the table’s columns.",Qm,$t,Ln,eu,hs,Jg="Compute zero-copy slice of this Table.",tu,_t,Pn,au,vs,Yg="Select records from a Table. See <code>pyarrow.compute.filter</code> for full usage.",nu,Tt,En,ou,xs,Kg=`Flatten this Table.  Each column with a struct type is flattened
into one column per struct field.  Other columns are left unchanged.`,ru,G,jn,su,ys,Zg="Make a new table by combining the chunks this table has.",du,$s,Qg=`All the underlying chunks in the <code>ChunkedArray</code> of each column are
concatenated into zero or one chunk.`,lu,wt,Vn,cu,_s,ef="Cast table values to another schema.",iu,Ct,Fn,pu,Ts,tf=`EXPERIMENTAL: Create shallow copy of table by replacing schema
key-value metadata with the indicated new metadata (which may be <code>None</code>,
which deletes any existing metadata).`,mu,J,An,uu,ws,af="Add column to Table at position.",bu,Cs,nf=`A new table is returned with the column added, the original table
object is left unchanged.`,gu,Mt,Nn,fu,Ms,of="Append column at end of columns.",hu,Dt,qn,vu,Ds,rf="Create new Table with the indicated column removed.",xu,It,Hn,yu,Is,sf="Replace column in Table at position.",$u,kt,Sn,_u,ks,df="Create new table with columns renamed to provided names.",Tu,Y,zn,wu,Ls,lf="Select columns of the table.",Cu,Ps,cf="Returns a new table with the specified columns, and metadata preserved.",Mu,Lt,Un,Du,Es,pf="Drop one or more columns and return a new table.",Iu,js,Rn,ku,Pt,Bn,Lu,Vs,mf="Create <code>ConcatenationTable</code> from list of tables.",pd,On,md,Z,Wn,Pu,Fs,uf="Concatenate tables.",ud,Q,Xn,Eu,As,bf=`Get the cache files that are loaded by the table.
Cache file are used when parts of the table come from the disk via memory mapping.`,bd,td,gd;return P=new ed({props:{title:"Table Classes",local:"table-classes",headingTag:"h1"}}),jt=new ed({props:{title:"Table",local:"datasets.table.Table",headingTag:"h2"}}),Vt=new f({props:{name:"class datasets.table.Table",anchor:"datasets.table.Table",parameters:[{name:"table",val:": Table"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L165"}}),Ft=new f({props:{name:"validate",anchor:"datasets.table.Table.validate",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.Table.validate.full",description:`<strong>full</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, run expensive checks, otherwise cheap checks only.`,name:"full"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L216",raiseDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<ul>
<li><code>pa.lib.ArrowInvalid</code> — if validation fails</li>
</ul>
`,raiseType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pa.lib.ArrowInvalid</code></p>
`}}),At=new f({props:{name:"equals",anchor:"datasets.table.Table.equals",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.Table.equals.other",description:`<strong>other</strong> (<a href="/docs/datasets/v2.14.7/en/package_reference/table_classes#datasets.table.Table">Table</a>) &#x2014;
Table to compare against.`,name:"other"},{anchor:"datasets.table.Table.equals.check_metadata",description:`<strong>check_metadata</strong> <code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether schema metadata equality should be checked as well.`,name:"check_metadata"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L232",returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>bool</code></p>
`}}),Nt=new f({props:{name:"to_batches",anchor:"datasets.table.Table.to_batches",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.Table.to_batches.max_chunksize",description:`<strong>max_chunksize</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Maximum size for <code>RecordBatch</code> chunks. Individual chunks may be
smaller depending on the chunk layout of individual columns.`,name:"max_chunksize"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L249",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[pyarrow.RecordBatch]</code></p>
`}}),qt=new f({props:{name:"to_pydict",anchor:"datasets.table.Table.to_pydict",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L263",returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>dict</code></p>
`}}),Ht=new f({props:{name:"to_pandas",anchor:"datasets.table.Table.to_pandas",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.Table.to_pandas.memory_pool",description:`<strong>memory_pool</strong> (<code>MemoryPool</code>, defaults to <code>None</code>) &#x2014;
Arrow MemoryPool to use for allocations. Uses the default memory
pool is not passed.`,name:"memory_pool"},{anchor:"datasets.table.Table.to_pandas.strings_to_categorical",description:`<strong>strings_to_categorical</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Encode string (UTF8) and binary types to <code>pandas.Categorical</code>.`,name:"strings_to_categorical"},{anchor:"datasets.table.Table.to_pandas.categories",description:`<strong>categories</strong> (<code>list</code>, defaults to <code>empty</code>) &#x2014;
List of fields that should be returned as <code>pandas.Categorical</code>. Only
applies to table-like data structures.`,name:"categories"},{anchor:"datasets.table.Table.to_pandas.zero_copy_only",description:`<strong>zero_copy_only</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Raise an <code>ArrowException</code> if this function call would require copying
the underlying data.`,name:"zero_copy_only"},{anchor:"datasets.table.Table.to_pandas.integer_object_nulls",description:`<strong>integer_object_nulls</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Cast integers with nulls to objects.`,name:"integer_object_nulls"},{anchor:"datasets.table.Table.to_pandas.date_as_object",description:`<strong>date_as_object</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Cast dates to objects. If <code>False</code>, convert to <code>datetime64[ns]</code> dtype.`,name:"date_as_object"},{anchor:"datasets.table.Table.to_pandas.timestamp_as_object",description:`<strong>timestamp_as_object</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Cast non-nanosecond timestamps (<code>np.datetime64</code>) to objects. This is
useful if you have timestamps that don&#x2019;t fit in the normal date
range of nanosecond timestamps (1678 CE-2262 CE).
If <code>False</code>, all timestamps are converted to <code>datetime64[ns]</code> dtype.`,name:"timestamp_as_object"},{anchor:"datasets.table.Table.to_pandas.use_threads",description:`<strong>use_threads</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to parallelize the conversion using multiple threads.`,name:"use_threads"},{anchor:"datasets.table.Table.to_pandas.deduplicate_objects",description:`<strong>deduplicate_objects</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Do not create multiple copies Python objects when created, to save
on memory use. Conversion will be slower.`,name:"deduplicate_objects"},{anchor:"datasets.table.Table.to_pandas.ignore_metadata",description:`<strong>ignore_metadata</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, do not use the &#x2018;pandas&#x2019; metadata to reconstruct the
DataFrame index, if present.`,name:"ignore_metadata"},{anchor:"datasets.table.Table.to_pandas.safe",description:`<strong>safe</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
For certain data types, a cast is needed in order to store the
data in a pandas DataFrame or Series (e.g. timestamps are always
stored as nanoseconds in pandas). This option controls whether it
is a safe cast or not.`,name:"safe"},{anchor:"datasets.table.Table.to_pandas.split_blocks",description:`<strong>split_blocks</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, generate one internal &#x201C;block&#x201D; for each column when
creating a pandas.DataFrame from a <code>RecordBatch</code> or <code>Table</code>. While this
can temporarily reduce memory note that various pandas operations
can trigger &#x201C;consolidation&#x201D; which may balloon memory use.`,name:"split_blocks"},{anchor:"datasets.table.Table.to_pandas.self_destruct",description:`<strong>self_destruct</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
EXPERIMENTAL: If <code>True</code>, attempt to deallocate the originating Arrow
memory while converting the Arrow object to pandas. If you use the
object after calling <code>to_pandas</code> with this option it will crash your
program.`,name:"self_destruct"},{anchor:"datasets.table.Table.to_pandas.types_mapper",description:`<strong>types_mapper</strong> (<code>function</code>, defaults to <code>None</code>) &#x2014;
A function mapping a pyarrow DataType to a pandas <code>ExtensionDtype</code>.
This can be used to override the default pandas type for conversion
of built-in pyarrow types or in absence of <code>pandas_metadata</code> in the
Table schema. The function receives a pyarrow DataType and is
expected to return a pandas <code>ExtensionDtype</code> or <code>None</code> if the
default conversion should be used for that type. If you have
a dictionary mapping, you can pass <code>dict.get</code> as function.`,name:"types_mapper"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L285",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pandas.Series</code> or <code>pandas.DataFrame</code> depending on type of object</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pandas.Series</code> or <code>pandas.DataFrame</code></p>
`}}),St=new f({props:{name:"to_string",anchor:"datasets.table.Table.to_string",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L347"}}),zt=new f({props:{name:"field",anchor:"datasets.table.Table.field",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.Table.field.i",description:`<strong>i</strong> (<code>Union[int, str]</code>) &#x2014;
The index or name of the field to retrieve.`,name:"i"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L366",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pyarrow.Field</code></p>
`}}),Ut=new f({props:{name:"column",anchor:"datasets.table.Table.column",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.Table.column.i",description:`<strong>i</strong> (<code>Union[int, str]</code>) &#x2014;
The index or name of the column to retrieve.`,name:"i"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L379",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pyarrow.ChunkedArray</code></p>
`}}),Rt=new f({props:{name:"itercolumns",anchor:"datasets.table.Table.itercolumns",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L392"}}),Bt=new f({props:{name:"schema",anchor:"datasets.table.Table.schema",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L401",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pyarrow.Schema</code></p>
`}}),Ot=new f({props:{name:"columns",anchor:"datasets.table.Table.columns",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L411",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[pa.ChunkedArray]</code></p>
`}}),Wt=new f({props:{name:"num_columns",anchor:"datasets.table.Table.num_columns",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L421",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>int</p>
`}}),Xt=new f({props:{name:"num_rows",anchor:"datasets.table.Table.num_rows",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L431",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>int</p>
`}}),Gt=new f({props:{name:"shape",anchor:"datasets.table.Table.shape",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L444",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Number of rows and number of columns.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>(int, int)</code></p>
`}}),Jt=new f({props:{name:"nbytes",anchor:"datasets.table.Table.nbytes",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L454"}}),Yt=new ed({props:{title:"InMemoryTable",local:"datasets.table.InMemoryTable",headingTag:"h2"}}),Kt=new f({props:{name:"class datasets.table.InMemoryTable",anchor:"datasets.table.InMemoryTable",parameters:[{name:"table",val:": Table"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L680"}}),Zt=new f({props:{name:"validate",anchor:"datasets.table.InMemoryTable.validate",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.validate.full",description:`<strong>full</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, run expensive checks, otherwise cheap checks only.`,name:"full"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L216",raiseDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<ul>
<li><code>pa.lib.ArrowInvalid</code> — if validation fails</li>
</ul>
`,raiseType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pa.lib.ArrowInvalid</code></p>
`}}),Qt=new f({props:{name:"equals",anchor:"datasets.table.InMemoryTable.equals",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.equals.other",description:`<strong>other</strong> (<a href="/docs/datasets/v2.14.7/en/package_reference/table_classes#datasets.table.Table">Table</a>) &#x2014;
Table to compare against.`,name:"other"},{anchor:"datasets.table.InMemoryTable.equals.check_metadata",description:`<strong>check_metadata</strong> <code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether schema metadata equality should be checked as well.`,name:"check_metadata"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L232",returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>bool</code></p>
`}}),ea=new f({props:{name:"to_batches",anchor:"datasets.table.InMemoryTable.to_batches",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.to_batches.max_chunksize",description:`<strong>max_chunksize</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Maximum size for <code>RecordBatch</code> chunks. Individual chunks may be
smaller depending on the chunk layout of individual columns.`,name:"max_chunksize"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L249",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[pyarrow.RecordBatch]</code></p>
`}}),ta=new f({props:{name:"to_pydict",anchor:"datasets.table.InMemoryTable.to_pydict",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L263",returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>dict</code></p>
`}}),aa=new f({props:{name:"to_pandas",anchor:"datasets.table.InMemoryTable.to_pandas",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.to_pandas.memory_pool",description:`<strong>memory_pool</strong> (<code>MemoryPool</code>, defaults to <code>None</code>) &#x2014;
Arrow MemoryPool to use for allocations. Uses the default memory
pool is not passed.`,name:"memory_pool"},{anchor:"datasets.table.InMemoryTable.to_pandas.strings_to_categorical",description:`<strong>strings_to_categorical</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Encode string (UTF8) and binary types to <code>pandas.Categorical</code>.`,name:"strings_to_categorical"},{anchor:"datasets.table.InMemoryTable.to_pandas.categories",description:`<strong>categories</strong> (<code>list</code>, defaults to <code>empty</code>) &#x2014;
List of fields that should be returned as <code>pandas.Categorical</code>. Only
applies to table-like data structures.`,name:"categories"},{anchor:"datasets.table.InMemoryTable.to_pandas.zero_copy_only",description:`<strong>zero_copy_only</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Raise an <code>ArrowException</code> if this function call would require copying
the underlying data.`,name:"zero_copy_only"},{anchor:"datasets.table.InMemoryTable.to_pandas.integer_object_nulls",description:`<strong>integer_object_nulls</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Cast integers with nulls to objects.`,name:"integer_object_nulls"},{anchor:"datasets.table.InMemoryTable.to_pandas.date_as_object",description:`<strong>date_as_object</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Cast dates to objects. If <code>False</code>, convert to <code>datetime64[ns]</code> dtype.`,name:"date_as_object"},{anchor:"datasets.table.InMemoryTable.to_pandas.timestamp_as_object",description:`<strong>timestamp_as_object</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Cast non-nanosecond timestamps (<code>np.datetime64</code>) to objects. This is
useful if you have timestamps that don&#x2019;t fit in the normal date
range of nanosecond timestamps (1678 CE-2262 CE).
If <code>False</code>, all timestamps are converted to <code>datetime64[ns]</code> dtype.`,name:"timestamp_as_object"},{anchor:"datasets.table.InMemoryTable.to_pandas.use_threads",description:`<strong>use_threads</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to parallelize the conversion using multiple threads.`,name:"use_threads"},{anchor:"datasets.table.InMemoryTable.to_pandas.deduplicate_objects",description:`<strong>deduplicate_objects</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Do not create multiple copies Python objects when created, to save
on memory use. Conversion will be slower.`,name:"deduplicate_objects"},{anchor:"datasets.table.InMemoryTable.to_pandas.ignore_metadata",description:`<strong>ignore_metadata</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, do not use the &#x2018;pandas&#x2019; metadata to reconstruct the
DataFrame index, if present.`,name:"ignore_metadata"},{anchor:"datasets.table.InMemoryTable.to_pandas.safe",description:`<strong>safe</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
For certain data types, a cast is needed in order to store the
data in a pandas DataFrame or Series (e.g. timestamps are always
stored as nanoseconds in pandas). This option controls whether it
is a safe cast or not.`,name:"safe"},{anchor:"datasets.table.InMemoryTable.to_pandas.split_blocks",description:`<strong>split_blocks</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, generate one internal &#x201C;block&#x201D; for each column when
creating a pandas.DataFrame from a <code>RecordBatch</code> or <code>Table</code>. While this
can temporarily reduce memory note that various pandas operations
can trigger &#x201C;consolidation&#x201D; which may balloon memory use.`,name:"split_blocks"},{anchor:"datasets.table.InMemoryTable.to_pandas.self_destruct",description:`<strong>self_destruct</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
EXPERIMENTAL: If <code>True</code>, attempt to deallocate the originating Arrow
memory while converting the Arrow object to pandas. If you use the
object after calling <code>to_pandas</code> with this option it will crash your
program.`,name:"self_destruct"},{anchor:"datasets.table.InMemoryTable.to_pandas.types_mapper",description:`<strong>types_mapper</strong> (<code>function</code>, defaults to <code>None</code>) &#x2014;
A function mapping a pyarrow DataType to a pandas <code>ExtensionDtype</code>.
This can be used to override the default pandas type for conversion
of built-in pyarrow types or in absence of <code>pandas_metadata</code> in the
Table schema. The function receives a pyarrow DataType and is
expected to return a pandas <code>ExtensionDtype</code> or <code>None</code> if the
default conversion should be used for that type. If you have
a dictionary mapping, you can pass <code>dict.get</code> as function.`,name:"types_mapper"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L285",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pandas.Series</code> or <code>pandas.DataFrame</code> depending on type of object</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pandas.Series</code> or <code>pandas.DataFrame</code></p>
`}}),na=new f({props:{name:"to_string",anchor:"datasets.table.InMemoryTable.to_string",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L347"}}),oa=new f({props:{name:"field",anchor:"datasets.table.InMemoryTable.field",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.field.i",description:`<strong>i</strong> (<code>Union[int, str]</code>) &#x2014;
The index or name of the field to retrieve.`,name:"i"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L366",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pyarrow.Field</code></p>
`}}),ra=new f({props:{name:"column",anchor:"datasets.table.InMemoryTable.column",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.column.i",description:`<strong>i</strong> (<code>Union[int, str]</code>) &#x2014;
The index or name of the column to retrieve.`,name:"i"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L379",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pyarrow.ChunkedArray</code></p>
`}}),sa=new f({props:{name:"itercolumns",anchor:"datasets.table.InMemoryTable.itercolumns",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L392"}}),da=new f({props:{name:"schema",anchor:"datasets.table.InMemoryTable.schema",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L401",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pyarrow.Schema</code></p>
`}}),la=new f({props:{name:"columns",anchor:"datasets.table.InMemoryTable.columns",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L411",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[pa.ChunkedArray]</code></p>
`}}),ca=new f({props:{name:"num_columns",anchor:"datasets.table.InMemoryTable.num_columns",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L421",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>int</p>
`}}),ia=new f({props:{name:"num_rows",anchor:"datasets.table.InMemoryTable.num_rows",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L431",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>int</p>
`}}),pa=new f({props:{name:"shape",anchor:"datasets.table.InMemoryTable.shape",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L444",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Number of rows and number of columns.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>(int, int)</code></p>
`}}),ma=new f({props:{name:"nbytes",anchor:"datasets.table.InMemoryTable.nbytes",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L454"}}),ua=new f({props:{name:"column_names",anchor:"datasets.table.InMemoryTable.column_names",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L461"}}),ba=new f({props:{name:"slice",anchor:"datasets.table.InMemoryTable.slice",parameters:[{name:"offset",val:" = 0"},{name:"length",val:" = None"}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.slice.offset",description:`<strong>offset</strong> (<code>int</code>, defaults to <code>0</code>) &#x2014;
Offset from start of table to slice.`,name:"offset"},{anchor:"datasets.table.InMemoryTable.slice.length",description:`<strong>length</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Length of slice (default is until end of table starting from
offset).`,name:"length"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L835",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),ga=new f({props:{name:"filter",anchor:"datasets.table.InMemoryTable.filter",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L852"}}),fa=new f({props:{name:"flatten",anchor:"datasets.table.InMemoryTable.flatten",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.flatten.memory_pool",description:`<strong>memory_pool</strong> (<code>MemoryPool</code>, defaults to <code>None</code>) &#x2014;
For memory allocations, if required, otherwise use default pool.`,name:"memory_pool"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L858",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),ha=new f({props:{name:"combine_chunks",anchor:"datasets.table.InMemoryTable.combine_chunks",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.combine_chunks.memory_pool",description:`<strong>memory_pool</strong> (<code>MemoryPool</code>, defaults to <code>None</code>) &#x2014;
For memory allocations, if required, otherwise use default pool.`,name:"memory_pool"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L872",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),va=new f({props:{name:"cast",anchor:"datasets.table.InMemoryTable.cast",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.cast.target_schema",description:`<strong>target_schema</strong> (<code>Schema</code>) &#x2014;
Schema to cast to, the names and order of fields must match.`,name:"target_schema"},{anchor:"datasets.table.InMemoryTable.cast.safe",description:`<strong>safe</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Check for overflows or other unsafe conversions.`,name:"safe"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L888",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),xa=new f({props:{name:"replace_schema_metadata",anchor:"datasets.table.InMemoryTable.replace_schema_metadata",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.replace_schema_metadata.metadata",description:"<strong>metadata</strong> (<code>dict</code>, defaults to <code>None</code>) &#x2014;",name:"metadata"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L903",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>shallow_copy</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),ya=new f({props:{name:"add_column",anchor:"datasets.table.InMemoryTable.add_column",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.add_column.i",description:`<strong>i</strong> (<code>int</code>) &#x2014;
Index to place the column at.`,name:"i"},{anchor:"datasets.table.InMemoryTable.add_column.field_",description:`<strong>field_</strong> (<code>Union[str, pyarrow.Field]</code>) &#x2014;
If a string is passed then the type is deduced from the column
data.`,name:"field_"},{anchor:"datasets.table.InMemoryTable.add_column.column",description:`<strong>column</strong> (<code>Union[pyarrow.Array, List[pyarrow.Array]]</code>) &#x2014;
Column data.`,name:"column"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L917",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table with the passed column added.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),$a=new f({props:{name:"append_column",anchor:"datasets.table.InMemoryTable.append_column",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.append_column.field_",description:`<strong>field_</strong> (<code>Union[str, pyarrow.Field]</code>) &#x2014;
If a string is passed then the type is deduced from the column
data.`,name:"field_"},{anchor:"datasets.table.InMemoryTable.append_column.column",description:`<strong>column</strong> (<code>Union[pyarrow.Array, List[pyarrow.Array]]</code>) &#x2014;
Column data.`,name:"column"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L938",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table with the passed column added.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),_a=new f({props:{name:"remove_column",anchor:"datasets.table.InMemoryTable.remove_column",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.remove_column.i",description:`<strong>i</strong> (<code>int</code>) &#x2014;
Index of column to remove.`,name:"i"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L955",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table without the column.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),Ta=new f({props:{name:"set_column",anchor:"datasets.table.InMemoryTable.set_column",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.set_column.i",description:`<strong>i</strong> (<code>int</code>) &#x2014;
Index to place the column at.`,name:"i"},{anchor:"datasets.table.InMemoryTable.set_column.field_",description:`<strong>field_</strong> (<code>Union[str, pyarrow.Field]</code>) &#x2014;
If a string is passed then the type is deduced from the column
data.`,name:"field_"},{anchor:"datasets.table.InMemoryTable.set_column.column",description:`<strong>column</strong> (<code>Union[pyarrow.Array, List[pyarrow.Array]]</code>) &#x2014;
Column data.`,name:"column"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L969",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table with the passed column set.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),wa=new f({props:{name:"rename_columns",anchor:"datasets.table.InMemoryTable.rename_columns",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L988"}}),Ca=new f({props:{name:"select",anchor:"datasets.table.InMemoryTable.select",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.select.columns",description:`<strong>columns</strong> (<code>Union[List[str], List[int]]</code>) &#x2014;
The column names or integer indices to select.`,name:"columns"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1011",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table with the specified columns, and metadata preserved.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><a
  href="/docs/datasets/v2.14.7/en/package_reference/table_classes#datasets.table.Table"
>datasets.table.Table</a></p>
`}}),Ma=new f({props:{name:"drop",anchor:"datasets.table.InMemoryTable.drop",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.drop.columns",description:`<strong>columns</strong> (<code>List[str]</code>) &#x2014;
List of field names referencing existing columns.`,name:"columns"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L994",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table without the columns.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`,raiseDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<ul>
<li><code>KeyError</code> — : if any of the passed columns name are not existing.</li>
</ul>
`,raiseType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>KeyError</code></p>
`}}),Da=new f({props:{name:"from_file",anchor:"datasets.table.InMemoryTable.from_file",parameters:[{name:"filename",val:": str"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L695"}}),Ia=new f({props:{name:"from_buffer",anchor:"datasets.table.InMemoryTable.from_buffer",parameters:[{name:"buffer",val:": Buffer"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L700"}}),ka=new f({props:{name:"from_pandas",anchor:"datasets.table.InMemoryTable.from_pandas",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.from_pandas.df",description:"<strong>df</strong> (<code>pandas.DataFrame</code>) &#x2014;",name:"df"},{anchor:"datasets.table.InMemoryTable.from_pandas.schema",description:`<strong>schema</strong> (<code>pyarrow.Schema</code>, <em>optional</em>) &#x2014;
The expected schema of the Arrow Table. This can be used to
indicate the type of columns if we cannot infer it automatically.
If passed, the output will have exactly this schema. Columns
specified in the schema that are not found in the DataFrame columns
or its index will raise an error. Additional columns or index
levels in the DataFrame which are not specified in the schema will
be ignored.`,name:"schema"},{anchor:"datasets.table.InMemoryTable.from_pandas.preserve_index",description:`<strong>preserve_index</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether to store the index as an additional column in the resulting
<code>Table</code>. The default of None will store the index as a column,
except for RangeIndex which is stored as metadata only. Use
<code>preserve_index=True</code> to force it to be stored as a column.`,name:"preserve_index"},{anchor:"datasets.table.InMemoryTable.from_pandas.nthreads",description:`<strong>nthreads</strong> (<code>int</code>, defaults to <code>None</code> (may use up to system CPU count threads)) &#x2014;
If greater than 1, convert columns to Arrow in parallel using
indicated number of threads.`,name:"nthreads"},{anchor:"datasets.table.InMemoryTable.from_pandas.columns",description:`<strong>columns</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
List of column to be converted. If <code>None</code>, use all columns.`,name:"columns"},{anchor:"datasets.table.InMemoryTable.from_pandas.safe",description:`<strong>safe</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Check for overflows or other unsafe conversions,`,name:"safe"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L705",returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),Fe=new Pf({props:{anchor:"datasets.table.InMemoryTable.from_pandas.example",$$slots:{default:[Ef]},$$scope:{ctx:ad}}}),La=new f({props:{name:"from_arrays",anchor:"datasets.table.InMemoryTable.from_arrays",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.from_arrays.arrays",description:`<strong>arrays</strong> (<code>List[Union[pyarrow.Array, pyarrow.ChunkedArray]]</code>) &#x2014;
Equal-length arrays that should form the table.`,name:"arrays"},{anchor:"datasets.table.InMemoryTable.from_arrays.names",description:`<strong>names</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
Names for the table columns. If not passed, schema must be passed.`,name:"names"},{anchor:"datasets.table.InMemoryTable.from_arrays.schema",description:`<strong>schema</strong> (<code>Schema</code>, defaults to <code>None</code>) &#x2014;
Schema for the created table. If not passed, names must be passed.`,name:"schema"},{anchor:"datasets.table.InMemoryTable.from_arrays.metadata",description:`<strong>metadata</strong> (<code>Union[dict, Mapping]</code>, defaults to <code>None</code>) &#x2014;
Optional metadata for the schema (if inferred).`,name:"metadata"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L763",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),Pa=new f({props:{name:"from_pydict",anchor:"datasets.table.InMemoryTable.from_pydict",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.from_pydict.mapping",description:`<strong>mapping</strong> (<code>Union[dict, Mapping]</code>) &#x2014;
A mapping of strings to Arrays or Python lists.`,name:"mapping"},{anchor:"datasets.table.InMemoryTable.from_pydict.schema",description:`<strong>schema</strong> (<code>Schema</code>, defaults to <code>None</code>) &#x2014;
If not passed, will be inferred from the Mapping values`,name:"schema"},{anchor:"datasets.table.InMemoryTable.from_pydict.metadata",description:`<strong>metadata</strong> (<code>Union[dict, Mapping]</code>, defaults to <code>None</code>) &#x2014;
Optional metadata for the schema (if inferred).`,name:"metadata"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L783",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),Ea=new f({props:{name:"from_batches",anchor:"datasets.table.InMemoryTable.from_batches",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.InMemoryTable.from_batches.batches",description:`<strong>batches</strong> (<code>Union[Sequence[pyarrow.RecordBatch], Iterator[pyarrow.RecordBatch]]</code>) &#x2014;
Sequence of <code>RecordBatch</code> to be converted, all schemas must be equal.`,name:"batches"},{anchor:"datasets.table.InMemoryTable.from_batches.schema",description:`<strong>schema</strong> (<code>Schema</code>, defaults to <code>None</code>) &#x2014;
If not passed, will be inferred from the first <code>RecordBatch</code>.`,name:"schema"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L819",returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),ja=new ed({props:{title:"MemoryMappedTable",local:"datasets.table.MemoryMappedTable",headingTag:"h2"}}),Va=new f({props:{name:"class datasets.table.MemoryMappedTable",anchor:"datasets.table.MemoryMappedTable",parameters:[{name:"table",val:": Table"},{name:"path",val:": str"},{name:"replays",val:": typing.Union[typing.List[typing.Tuple[str, tuple, dict]], NoneType] = None"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1031"}}),Fa=new f({props:{name:"validate",anchor:"datasets.table.MemoryMappedTable.validate",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.validate.full",description:`<strong>full</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, run expensive checks, otherwise cheap checks only.`,name:"full"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L216",raiseDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<ul>
<li><code>pa.lib.ArrowInvalid</code> — if validation fails</li>
</ul>
`,raiseType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pa.lib.ArrowInvalid</code></p>
`}}),Aa=new f({props:{name:"equals",anchor:"datasets.table.MemoryMappedTable.equals",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.equals.other",description:`<strong>other</strong> (<a href="/docs/datasets/v2.14.7/en/package_reference/table_classes#datasets.table.Table">Table</a>) &#x2014;
Table to compare against.`,name:"other"},{anchor:"datasets.table.MemoryMappedTable.equals.check_metadata",description:`<strong>check_metadata</strong> <code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether schema metadata equality should be checked as well.`,name:"check_metadata"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L232",returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>bool</code></p>
`}}),Na=new f({props:{name:"to_batches",anchor:"datasets.table.MemoryMappedTable.to_batches",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.to_batches.max_chunksize",description:`<strong>max_chunksize</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Maximum size for <code>RecordBatch</code> chunks. Individual chunks may be
smaller depending on the chunk layout of individual columns.`,name:"max_chunksize"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L249",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[pyarrow.RecordBatch]</code></p>
`}}),qa=new f({props:{name:"to_pydict",anchor:"datasets.table.MemoryMappedTable.to_pydict",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L263",returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>dict</code></p>
`}}),Ha=new f({props:{name:"to_pandas",anchor:"datasets.table.MemoryMappedTable.to_pandas",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.to_pandas.memory_pool",description:`<strong>memory_pool</strong> (<code>MemoryPool</code>, defaults to <code>None</code>) &#x2014;
Arrow MemoryPool to use for allocations. Uses the default memory
pool is not passed.`,name:"memory_pool"},{anchor:"datasets.table.MemoryMappedTable.to_pandas.strings_to_categorical",description:`<strong>strings_to_categorical</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Encode string (UTF8) and binary types to <code>pandas.Categorical</code>.`,name:"strings_to_categorical"},{anchor:"datasets.table.MemoryMappedTable.to_pandas.categories",description:`<strong>categories</strong> (<code>list</code>, defaults to <code>empty</code>) &#x2014;
List of fields that should be returned as <code>pandas.Categorical</code>. Only
applies to table-like data structures.`,name:"categories"},{anchor:"datasets.table.MemoryMappedTable.to_pandas.zero_copy_only",description:`<strong>zero_copy_only</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Raise an <code>ArrowException</code> if this function call would require copying
the underlying data.`,name:"zero_copy_only"},{anchor:"datasets.table.MemoryMappedTable.to_pandas.integer_object_nulls",description:`<strong>integer_object_nulls</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Cast integers with nulls to objects.`,name:"integer_object_nulls"},{anchor:"datasets.table.MemoryMappedTable.to_pandas.date_as_object",description:`<strong>date_as_object</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Cast dates to objects. If <code>False</code>, convert to <code>datetime64[ns]</code> dtype.`,name:"date_as_object"},{anchor:"datasets.table.MemoryMappedTable.to_pandas.timestamp_as_object",description:`<strong>timestamp_as_object</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Cast non-nanosecond timestamps (<code>np.datetime64</code>) to objects. This is
useful if you have timestamps that don&#x2019;t fit in the normal date
range of nanosecond timestamps (1678 CE-2262 CE).
If <code>False</code>, all timestamps are converted to <code>datetime64[ns]</code> dtype.`,name:"timestamp_as_object"},{anchor:"datasets.table.MemoryMappedTable.to_pandas.use_threads",description:`<strong>use_threads</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to parallelize the conversion using multiple threads.`,name:"use_threads"},{anchor:"datasets.table.MemoryMappedTable.to_pandas.deduplicate_objects",description:`<strong>deduplicate_objects</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Do not create multiple copies Python objects when created, to save
on memory use. Conversion will be slower.`,name:"deduplicate_objects"},{anchor:"datasets.table.MemoryMappedTable.to_pandas.ignore_metadata",description:`<strong>ignore_metadata</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, do not use the &#x2018;pandas&#x2019; metadata to reconstruct the
DataFrame index, if present.`,name:"ignore_metadata"},{anchor:"datasets.table.MemoryMappedTable.to_pandas.safe",description:`<strong>safe</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
For certain data types, a cast is needed in order to store the
data in a pandas DataFrame or Series (e.g. timestamps are always
stored as nanoseconds in pandas). This option controls whether it
is a safe cast or not.`,name:"safe"},{anchor:"datasets.table.MemoryMappedTable.to_pandas.split_blocks",description:`<strong>split_blocks</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, generate one internal &#x201C;block&#x201D; for each column when
creating a pandas.DataFrame from a <code>RecordBatch</code> or <code>Table</code>. While this
can temporarily reduce memory note that various pandas operations
can trigger &#x201C;consolidation&#x201D; which may balloon memory use.`,name:"split_blocks"},{anchor:"datasets.table.MemoryMappedTable.to_pandas.self_destruct",description:`<strong>self_destruct</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
EXPERIMENTAL: If <code>True</code>, attempt to deallocate the originating Arrow
memory while converting the Arrow object to pandas. If you use the
object after calling <code>to_pandas</code> with this option it will crash your
program.`,name:"self_destruct"},{anchor:"datasets.table.MemoryMappedTable.to_pandas.types_mapper",description:`<strong>types_mapper</strong> (<code>function</code>, defaults to <code>None</code>) &#x2014;
A function mapping a pyarrow DataType to a pandas <code>ExtensionDtype</code>.
This can be used to override the default pandas type for conversion
of built-in pyarrow types or in absence of <code>pandas_metadata</code> in the
Table schema. The function receives a pyarrow DataType and is
expected to return a pandas <code>ExtensionDtype</code> or <code>None</code> if the
default conversion should be used for that type. If you have
a dictionary mapping, you can pass <code>dict.get</code> as function.`,name:"types_mapper"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L285",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pandas.Series</code> or <code>pandas.DataFrame</code> depending on type of object</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pandas.Series</code> or <code>pandas.DataFrame</code></p>
`}}),Sa=new f({props:{name:"to_string",anchor:"datasets.table.MemoryMappedTable.to_string",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L347"}}),za=new f({props:{name:"field",anchor:"datasets.table.MemoryMappedTable.field",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.field.i",description:`<strong>i</strong> (<code>Union[int, str]</code>) &#x2014;
The index or name of the field to retrieve.`,name:"i"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L366",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pyarrow.Field</code></p>
`}}),Ua=new f({props:{name:"column",anchor:"datasets.table.MemoryMappedTable.column",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.column.i",description:`<strong>i</strong> (<code>Union[int, str]</code>) &#x2014;
The index or name of the column to retrieve.`,name:"i"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L379",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pyarrow.ChunkedArray</code></p>
`}}),Ra=new f({props:{name:"itercolumns",anchor:"datasets.table.MemoryMappedTable.itercolumns",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L392"}}),Ba=new f({props:{name:"schema",anchor:"datasets.table.MemoryMappedTable.schema",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L401",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pyarrow.Schema</code></p>
`}}),Oa=new f({props:{name:"columns",anchor:"datasets.table.MemoryMappedTable.columns",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L411",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[pa.ChunkedArray]</code></p>
`}}),Wa=new f({props:{name:"num_columns",anchor:"datasets.table.MemoryMappedTable.num_columns",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L421",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>int</p>
`}}),Xa=new f({props:{name:"num_rows",anchor:"datasets.table.MemoryMappedTable.num_rows",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L431",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>int</p>
`}}),Ga=new f({props:{name:"shape",anchor:"datasets.table.MemoryMappedTable.shape",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L444",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Number of rows and number of columns.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>(int, int)</code></p>
`}}),Ja=new f({props:{name:"nbytes",anchor:"datasets.table.MemoryMappedTable.nbytes",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L454"}}),Ya=new f({props:{name:"column_names",anchor:"datasets.table.MemoryMappedTable.column_names",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L461"}}),Ka=new f({props:{name:"slice",anchor:"datasets.table.MemoryMappedTable.slice",parameters:[{name:"offset",val:" = 0"},{name:"length",val:" = None"}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.slice.offset",description:`<strong>offset</strong> (<code>int</code>, defaults to <code>0</code>) &#x2014;
Offset from start of table to slice.`,name:"offset"},{anchor:"datasets.table.MemoryMappedTable.slice.length",description:`<strong>length</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Length of slice (default is until end of table starting from
offset).`,name:"length"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1090",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),Za=new f({props:{name:"filter",anchor:"datasets.table.MemoryMappedTable.filter",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1109"}}),Qa=new f({props:{name:"flatten",anchor:"datasets.table.MemoryMappedTable.flatten",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.flatten.memory_pool",description:`<strong>memory_pool</strong> (<code>MemoryPool</code>, defaults to <code>None</code>) &#x2014;
For memory allocations, if required, otherwise use default pool.`,name:"memory_pool"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1117",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),en=new f({props:{name:"combine_chunks",anchor:"datasets.table.MemoryMappedTable.combine_chunks",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.combine_chunks.memory_pool",description:`<strong>memory_pool</strong> (<code>MemoryPool</code>, defaults to <code>None</code>) &#x2014;
For memory allocations, if required, otherwise use default pool.`,name:"memory_pool"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1133",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),tn=new f({props:{name:"cast",anchor:"datasets.table.MemoryMappedTable.cast",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.cast.target_schema",description:`<strong>target_schema</strong> (<code>Schema</code>) &#x2014;
Schema to cast to, the names and order of fields must match.`,name:"target_schema"},{anchor:"datasets.table.MemoryMappedTable.cast.safe",description:`<strong>safe</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Check for overflows or other unsafe conversions.`,name:"safe"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1151",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),an=new f({props:{name:"replace_schema_metadata",anchor:"datasets.table.MemoryMappedTable.replace_schema_metadata",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.replace_schema_metadata.metadata",description:"<strong>metadata</strong> (<code>dict</code>, defaults to <code>None</code>) &#x2014;",name:"metadata"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1168",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>shallow_copy</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),nn=new f({props:{name:"add_column",anchor:"datasets.table.MemoryMappedTable.add_column",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.add_column.i",description:`<strong>i</strong> (<code>int</code>) &#x2014;
Index to place the column at.`,name:"i"},{anchor:"datasets.table.MemoryMappedTable.add_column.field_",description:`<strong>field_</strong> (<code>Union[str, pyarrow.Field]</code>) &#x2014;
If a string is passed then the type is deduced from the column
data.`,name:"field_"},{anchor:"datasets.table.MemoryMappedTable.add_column.column",description:`<strong>column</strong> (<code>Union[pyarrow.Array, List[pyarrow.Array]]</code>) &#x2014;
Column data.`,name:"column"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1184",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table with the passed column added.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),on=new f({props:{name:"append_column",anchor:"datasets.table.MemoryMappedTable.append_column",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.append_column.field_",description:`<strong>field_</strong> (<code>Union[str, pyarrow.Field]</code>) &#x2014;
If a string is passed then the type is deduced from the column
data.`,name:"field_"},{anchor:"datasets.table.MemoryMappedTable.append_column.column",description:`<strong>column</strong> (<code>Union[pyarrow.Array, List[pyarrow.Array]]</code>) &#x2014;
Column data.`,name:"column"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1207",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table with the passed column added.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),rn=new f({props:{name:"remove_column",anchor:"datasets.table.MemoryMappedTable.remove_column",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.remove_column.i",description:`<strong>i</strong> (<code>int</code>) &#x2014;
Index of column to remove.`,name:"i"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1226",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table without the column.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),sn=new f({props:{name:"set_column",anchor:"datasets.table.MemoryMappedTable.set_column",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.set_column.i",description:`<strong>i</strong> (<code>int</code>) &#x2014;
Index to place the column at.`,name:"i"},{anchor:"datasets.table.MemoryMappedTable.set_column.field_",description:`<strong>field_</strong> (<code>Union[str, pyarrow.Field]</code>) &#x2014;
If a string is passed then the type is deduced from the column
data.`,name:"field_"},{anchor:"datasets.table.MemoryMappedTable.set_column.column",description:`<strong>column</strong> (<code>Union[pyarrow.Array, List[pyarrow.Array]]</code>) &#x2014;
Column data.`,name:"column"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1242",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table with the passed column set.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),dn=new f({props:{name:"rename_columns",anchor:"datasets.table.MemoryMappedTable.rename_columns",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1263"}}),ln=new f({props:{name:"select",anchor:"datasets.table.MemoryMappedTable.select",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.select.columns",description:`<strong>columns</strong> (<code>Union[List[str], List[int]]</code>) &#x2014;
The column names or integer indices to select.`,name:"columns"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1290",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table with the specified columns, and metadata preserved.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><a
  href="/docs/datasets/v2.14.7/en/package_reference/table_classes#datasets.table.Table"
>datasets.table.Table</a></p>
`}}),cn=new f({props:{name:"drop",anchor:"datasets.table.MemoryMappedTable.drop",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.MemoryMappedTable.drop.columns",description:`<strong>columns</strong> (<code>List[str]</code>) &#x2014;
List of field names referencing existing columns.`,name:"columns"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1271",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table without the columns.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`,raiseDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<ul>
<li><code>KeyError</code> — : if any of the passed columns name are not existing.</li>
</ul>
`,raiseType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>KeyError</code></p>
`}}),pn=new f({props:{name:"from_file",anchor:"datasets.table.MemoryMappedTable.from_file",parameters:[{name:"filename",val:": str"},{name:"replays",val:" = None"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1057"}}),mn=new ed({props:{title:"ConcatenationTable",local:"datasets.table.ConcatenationTable",headingTag:"h2"}}),un=new f({props:{name:"class datasets.table.ConcatenationTable",anchor:"datasets.table.ConcatenationTable",parameters:[{name:"table",val:": Table"},{name:"blocks",val:": typing.List[typing.List[datasets.table.TableBlock]]"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1315"}}),bn=new f({props:{name:"validate",anchor:"datasets.table.ConcatenationTable.validate",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.validate.full",description:`<strong>full</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, run expensive checks, otherwise cheap checks only.`,name:"full"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L216",raiseDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<ul>
<li><code>pa.lib.ArrowInvalid</code> — if validation fails</li>
</ul>
`,raiseType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pa.lib.ArrowInvalid</code></p>
`}}),gn=new f({props:{name:"equals",anchor:"datasets.table.ConcatenationTable.equals",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.equals.other",description:`<strong>other</strong> (<a href="/docs/datasets/v2.14.7/en/package_reference/table_classes#datasets.table.Table">Table</a>) &#x2014;
Table to compare against.`,name:"other"},{anchor:"datasets.table.ConcatenationTable.equals.check_metadata",description:`<strong>check_metadata</strong> <code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether schema metadata equality should be checked as well.`,name:"check_metadata"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L232",returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>bool</code></p>
`}}),fn=new f({props:{name:"to_batches",anchor:"datasets.table.ConcatenationTable.to_batches",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.to_batches.max_chunksize",description:`<strong>max_chunksize</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Maximum size for <code>RecordBatch</code> chunks. Individual chunks may be
smaller depending on the chunk layout of individual columns.`,name:"max_chunksize"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L249",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[pyarrow.RecordBatch]</code></p>
`}}),hn=new f({props:{name:"to_pydict",anchor:"datasets.table.ConcatenationTable.to_pydict",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L263",returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>dict</code></p>
`}}),vn=new f({props:{name:"to_pandas",anchor:"datasets.table.ConcatenationTable.to_pandas",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.to_pandas.memory_pool",description:`<strong>memory_pool</strong> (<code>MemoryPool</code>, defaults to <code>None</code>) &#x2014;
Arrow MemoryPool to use for allocations. Uses the default memory
pool is not passed.`,name:"memory_pool"},{anchor:"datasets.table.ConcatenationTable.to_pandas.strings_to_categorical",description:`<strong>strings_to_categorical</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Encode string (UTF8) and binary types to <code>pandas.Categorical</code>.`,name:"strings_to_categorical"},{anchor:"datasets.table.ConcatenationTable.to_pandas.categories",description:`<strong>categories</strong> (<code>list</code>, defaults to <code>empty</code>) &#x2014;
List of fields that should be returned as <code>pandas.Categorical</code>. Only
applies to table-like data structures.`,name:"categories"},{anchor:"datasets.table.ConcatenationTable.to_pandas.zero_copy_only",description:`<strong>zero_copy_only</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Raise an <code>ArrowException</code> if this function call would require copying
the underlying data.`,name:"zero_copy_only"},{anchor:"datasets.table.ConcatenationTable.to_pandas.integer_object_nulls",description:`<strong>integer_object_nulls</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Cast integers with nulls to objects.`,name:"integer_object_nulls"},{anchor:"datasets.table.ConcatenationTable.to_pandas.date_as_object",description:`<strong>date_as_object</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Cast dates to objects. If <code>False</code>, convert to <code>datetime64[ns]</code> dtype.`,name:"date_as_object"},{anchor:"datasets.table.ConcatenationTable.to_pandas.timestamp_as_object",description:`<strong>timestamp_as_object</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Cast non-nanosecond timestamps (<code>np.datetime64</code>) to objects. This is
useful if you have timestamps that don&#x2019;t fit in the normal date
range of nanosecond timestamps (1678 CE-2262 CE).
If <code>False</code>, all timestamps are converted to <code>datetime64[ns]</code> dtype.`,name:"timestamp_as_object"},{anchor:"datasets.table.ConcatenationTable.to_pandas.use_threads",description:`<strong>use_threads</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to parallelize the conversion using multiple threads.`,name:"use_threads"},{anchor:"datasets.table.ConcatenationTable.to_pandas.deduplicate_objects",description:`<strong>deduplicate_objects</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Do not create multiple copies Python objects when created, to save
on memory use. Conversion will be slower.`,name:"deduplicate_objects"},{anchor:"datasets.table.ConcatenationTable.to_pandas.ignore_metadata",description:`<strong>ignore_metadata</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, do not use the &#x2018;pandas&#x2019; metadata to reconstruct the
DataFrame index, if present.`,name:"ignore_metadata"},{anchor:"datasets.table.ConcatenationTable.to_pandas.safe",description:`<strong>safe</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
For certain data types, a cast is needed in order to store the
data in a pandas DataFrame or Series (e.g. timestamps are always
stored as nanoseconds in pandas). This option controls whether it
is a safe cast or not.`,name:"safe"},{anchor:"datasets.table.ConcatenationTable.to_pandas.split_blocks",description:`<strong>split_blocks</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
If <code>True</code>, generate one internal &#x201C;block&#x201D; for each column when
creating a pandas.DataFrame from a <code>RecordBatch</code> or <code>Table</code>. While this
can temporarily reduce memory note that various pandas operations
can trigger &#x201C;consolidation&#x201D; which may balloon memory use.`,name:"split_blocks"},{anchor:"datasets.table.ConcatenationTable.to_pandas.self_destruct",description:`<strong>self_destruct</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
EXPERIMENTAL: If <code>True</code>, attempt to deallocate the originating Arrow
memory while converting the Arrow object to pandas. If you use the
object after calling <code>to_pandas</code> with this option it will crash your
program.`,name:"self_destruct"},{anchor:"datasets.table.ConcatenationTable.to_pandas.types_mapper",description:`<strong>types_mapper</strong> (<code>function</code>, defaults to <code>None</code>) &#x2014;
A function mapping a pyarrow DataType to a pandas <code>ExtensionDtype</code>.
This can be used to override the default pandas type for conversion
of built-in pyarrow types or in absence of <code>pandas_metadata</code> in the
Table schema. The function receives a pyarrow DataType and is
expected to return a pandas <code>ExtensionDtype</code> or <code>None</code> if the
default conversion should be used for that type. If you have
a dictionary mapping, you can pass <code>dict.get</code> as function.`,name:"types_mapper"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L285",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pandas.Series</code> or <code>pandas.DataFrame</code> depending on type of object</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pandas.Series</code> or <code>pandas.DataFrame</code></p>
`}}),xn=new f({props:{name:"to_string",anchor:"datasets.table.ConcatenationTable.to_string",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L347"}}),yn=new f({props:{name:"field",anchor:"datasets.table.ConcatenationTable.field",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.field.i",description:`<strong>i</strong> (<code>Union[int, str]</code>) &#x2014;
The index or name of the field to retrieve.`,name:"i"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L366",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pyarrow.Field</code></p>
`}}),$n=new f({props:{name:"column",anchor:"datasets.table.ConcatenationTable.column",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.column.i",description:`<strong>i</strong> (<code>Union[int, str]</code>) &#x2014;
The index or name of the column to retrieve.`,name:"i"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L379",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pyarrow.ChunkedArray</code></p>
`}}),_n=new f({props:{name:"itercolumns",anchor:"datasets.table.ConcatenationTable.itercolumns",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L392"}}),Tn=new f({props:{name:"schema",anchor:"datasets.table.ConcatenationTable.schema",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L401",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>pyarrow.Schema</code></p>
`}}),wn=new f({props:{name:"columns",anchor:"datasets.table.ConcatenationTable.columns",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L411",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[pa.ChunkedArray]</code></p>
`}}),Cn=new f({props:{name:"num_columns",anchor:"datasets.table.ConcatenationTable.num_columns",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L421",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>int</p>
`}}),Mn=new f({props:{name:"num_rows",anchor:"datasets.table.ConcatenationTable.num_rows",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L431",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>int</p>
`}}),Dn=new f({props:{name:"shape",anchor:"datasets.table.ConcatenationTable.shape",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L444",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Number of rows and number of columns.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>(int, int)</code></p>
`}}),In=new f({props:{name:"nbytes",anchor:"datasets.table.ConcatenationTable.nbytes",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L454"}}),kn=new f({props:{name:"column_names",anchor:"datasets.table.ConcatenationTable.column_names",parameters:[],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L461"}}),Ln=new f({props:{name:"slice",anchor:"datasets.table.ConcatenationTable.slice",parameters:[{name:"offset",val:" = 0"},{name:"length",val:" = None"}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.slice.offset",description:`<strong>offset</strong> (<code>int</code>, defaults to <code>0</code>) &#x2014;
Offset from start of table to slice.`,name:"offset"},{anchor:"datasets.table.ConcatenationTable.slice.length",description:`<strong>length</strong> (<code>int</code>, defaults to <code>None</code>) &#x2014;
Length of slice (default is until end of table starting from
offset).`,name:"length"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1518",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),Pn=new f({props:{name:"filter",anchor:"datasets.table.ConcatenationTable.filter",parameters:[{name:"mask",val:""},{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1549"}}),En=new f({props:{name:"flatten",anchor:"datasets.table.ConcatenationTable.flatten",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.flatten.memory_pool",description:`<strong>memory_pool</strong> (<code>MemoryPool</code>, defaults to <code>None</code>) &#x2014;
For memory allocations, if required, otherwise use default pool.`,name:"memory_pool"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1560",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),jn=new f({props:{name:"combine_chunks",anchor:"datasets.table.ConcatenationTable.combine_chunks",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.combine_chunks.memory_pool",description:`<strong>memory_pool</strong> (<code>MemoryPool</code>, defaults to <code>None</code>) &#x2014;
For memory allocations, if required, otherwise use default pool.`,name:"memory_pool"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1578",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),Vn=new f({props:{name:"cast",anchor:"datasets.table.ConcatenationTable.cast",parameters:[{name:"target_schema",val:""},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.cast.target_schema",description:`<strong>target_schema</strong> (<code>Schema</code>) &#x2014;
Schema to cast to, the names and order of fields must match.`,name:"target_schema"},{anchor:"datasets.table.ConcatenationTable.cast.safe",description:`<strong>safe</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Check for overflows or other unsafe conversions.`,name:"safe"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1598",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),Fn=new f({props:{name:"replace_schema_metadata",anchor:"datasets.table.ConcatenationTable.replace_schema_metadata",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.replace_schema_metadata.metadata",description:"<strong>metadata</strong> (<code>dict</code>, defaults to <code>None</code>) &#x2014;",name:"metadata"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1629",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>shallow_copy</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),An=new f({props:{name:"add_column",anchor:"datasets.table.ConcatenationTable.add_column",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.add_column.i",description:`<strong>i</strong> (<code>int</code>) &#x2014;
Index to place the column at.`,name:"i"},{anchor:"datasets.table.ConcatenationTable.add_column.field_",description:`<strong>field_</strong> (<code>Union[str, pyarrow.Field]</code>) &#x2014;
If a string is passed then the type is deduced from the column
data.`,name:"field_"},{anchor:"datasets.table.ConcatenationTable.add_column.column",description:`<strong>column</strong> (<code>Union[pyarrow.Array, List[pyarrow.Array]]</code>) &#x2014;
Column data.`,name:"column"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1647",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table with the passed column added.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),Nn=new f({props:{name:"append_column",anchor:"datasets.table.ConcatenationTable.append_column",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.append_column.field_",description:`<strong>field_</strong> (<code>Union[str, pyarrow.Field]</code>) &#x2014;
If a string is passed then the type is deduced from the column
data.`,name:"field_"},{anchor:"datasets.table.ConcatenationTable.append_column.column",description:`<strong>column</strong> (<code>Union[pyarrow.Array, List[pyarrow.Array]]</code>) &#x2014;
Column data.`,name:"column"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1668",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table with the passed column added.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),qn=new f({props:{name:"remove_column",anchor:"datasets.table.ConcatenationTable.remove_column",parameters:[{name:"i",val:""},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.remove_column.i",description:`<strong>i</strong> (<code>int</code>) &#x2014;
Index of column to remove.`,name:"i"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1685",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table without the column.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),Hn=new f({props:{name:"set_column",anchor:"datasets.table.ConcatenationTable.set_column",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.set_column.i",description:`<strong>i</strong> (<code>int</code>) &#x2014;
Index to place the column at.`,name:"i"},{anchor:"datasets.table.ConcatenationTable.set_column.field_",description:`<strong>field_</strong> (<code>Union[str, pyarrow.Field]</code>) &#x2014;
If a string is passed then the type is deduced from the column
data.`,name:"field_"},{anchor:"datasets.table.ConcatenationTable.set_column.column",description:`<strong>column</strong> (<code>Union[pyarrow.Array, List[pyarrow.Array]]</code>) &#x2014;
Column data.`,name:"column"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1709",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table with the passed column set.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),Sn=new f({props:{name:"rename_columns",anchor:"datasets.table.ConcatenationTable.rename_columns",parameters:[{name:"names",val:""},{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1728"}}),zn=new f({props:{name:"select",anchor:"datasets.table.ConcatenationTable.select",parameters:[{name:"columns",val:""},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.select.columns",description:`<strong>columns</strong> (<code>Union[List[str], List[int]]</code>) &#x2014;
The column names or integer indices to select.`,name:"columns"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1762",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table with the specified columns, and metadata preserved.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><a
  href="/docs/datasets/v2.14.7/en/package_reference/table_classes#datasets.table.Table"
>datasets.table.Table</a></p>
`}}),Un=new f({props:{name:"drop",anchor:"datasets.table.ConcatenationTable.drop",parameters:[{name:"columns",val:""},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.drop.columns",description:`<strong>columns</strong> (<code>List[str]</code>) &#x2014;
List of field names referencing existing columns.`,name:"columns"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1741",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>New table without the columns.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`,raiseDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<ul>
<li><code>KeyError</code> — : if any of the passed columns name are not existing.</li>
</ul>
`,raiseType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>KeyError</code></p>
`}}),Rn=new f({props:{name:"from_blocks",anchor:"datasets.table.ConcatenationTable.from_blocks",parameters:[{name:"blocks",val:": TableBlockContainer"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1414"}}),Bn=new f({props:{name:"from_tables",anchor:"datasets.table.ConcatenationTable.from_tables",parameters:[{name:"tables",val:": typing.List[typing.Union[pyarrow.lib.Table, datasets.table.Table]]"},{name:"axis",val:": int = 0"}],parametersDescription:[{anchor:"datasets.table.ConcatenationTable.from_tables.tables",description:`<strong>tables</strong> (list of <code>Table</code> or list of <code>pyarrow.Table</code>) &#x2014;
List of tables.`,name:"tables"},{anchor:"datasets.table.ConcatenationTable.from_tables.axis",description:`<strong>axis</strong> (<code>{0, 1}</code>, defaults to <code>0</code>, meaning over rows) &#x2014;
Axis to concatenate over, where <code>0</code> means over rows (vertically) and <code>1</code> means over columns
(horizontally).</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						<p class="font-medium">Added in 1.6.0</p>
						
					</div>`,name:"axis"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1428"}}),On=new ed({props:{title:"Utils",local:"datasets.table.concat_tables",headingTag:"h2"}}),Wn=new f({props:{name:"datasets.table.concat_tables",anchor:"datasets.table.concat_tables",parameters:[{name:"tables",val:": typing.List[datasets.table.Table]"},{name:"axis",val:": int = 0"}],parametersDescription:[{anchor:"datasets.table.concat_tables.tables",description:`<strong>tables</strong> (list of <code>Table</code>) &#x2014;
List of tables to be concatenated.`,name:"tables"},{anchor:"datasets.table.concat_tables.axis",description:`<strong>axis</strong> (<code>{0, 1}</code>, defaults to <code>0</code>, meaning over rows) &#x2014;
Axis to concatenate over, where <code>0</code> means over rows (vertically) and <code>1</code> means over columns
(horizontally).</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						<p class="font-medium">Added in 1.6.0</p>
						
					</div>`,name:"axis"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1782",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>If the number of input tables is > 1, then the returned table is a <code>datasets.table.ConcatenationTable</code>.
Otherwise if there’s only one table, it is returned as is.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>datasets.table.Table</code></p>
`}}),Xn=new f({props:{name:"datasets.table.list_table_cache_files",anchor:"datasets.table.list_table_cache_files",parameters:[{name:"table",val:": Table"}],source:"https://github.com/huggingface/datasets/blob/2.14.7/src/datasets/table.py#L1805",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A list of paths to the cache files loaded by the table.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[str]</code></p>
`}}),{c(){I=o("meta"),Et=a(),j=o("p"),L=a(),l(P.$$.fragment),D=a(),E=o("p"),E.innerHTML=ju,nd=a(),l(jt.$$.fragment),od=a(),T=o("div"),l(Vt.$$.fragment),Jl=a(),Gn=o("p"),Gn.innerHTML=Vu,Yl=a(),Jn=o("p"),Jn.innerHTML=Fu,Kl=a(),Yn=o("p"),Yn.textContent=Au,Zl=a(),V=o("div"),l(Ft.$$.fragment),Ql=a(),Kn=o("p"),Kn.textContent=Nu,ec=a(),Zn=o("p"),Zn.innerHTML=qu,tc=a(),ee=o("div"),l(At.$$.fragment),ac=a(),Qn=o("p"),Qn.textContent=Hu,nc=a(),te=o("div"),l(Nt.$$.fragment),oc=a(),eo=o("p"),eo.innerHTML=Su,rc=a(),ae=o("div"),l(qt.$$.fragment),sc=a(),to=o("p"),to.innerHTML=zu,dc=a(),ne=o("div"),l(Ht.$$.fragment),lc=a(),ao=o("p"),ao.textContent=Uu,cc=a(),no=o("div"),l(St.$$.fragment),ic=a(),oe=o("div"),l(zt.$$.fragment),pc=a(),oo=o("p"),oo.textContent=Ru,mc=a(),re=o("div"),l(Ut.$$.fragment),uc=a(),ro=o("p"),ro.textContent=Bu,bc=a(),se=o("div"),l(Rt.$$.fragment),gc=a(),so=o("p"),so.textContent=Ou,fc=a(),de=o("div"),l(Bt.$$.fragment),hc=a(),lo=o("p"),lo.textContent=Wu,vc=a(),le=o("div"),l(Ot.$$.fragment),xc=a(),co=o("p"),co.textContent=Xu,yc=a(),ce=o("div"),l(Wt.$$.fragment),$c=a(),io=o("p"),io.textContent=Gu,_c=a(),F=o("div"),l(Xt.$$.fragment),Tc=a(),po=o("p"),po.textContent=Ju,wc=a(),mo=o("p"),mo.textContent=Yu,Cc=a(),ie=o("div"),l(Gt.$$.fragment),Mc=a(),uo=o("p"),uo.textContent=Ku,Dc=a(),pe=o("div"),l(Jt.$$.fragment),Ic=a(),bo=o("p"),bo.textContent=Zu,rd=a(),l(Yt.$$.fragment),sd=a(),h=o("div"),l(Kt.$$.fragment),kc=a(),go=o("p"),go.textContent=Qu,Lc=a(),fo=o("p"),fo.textContent=eb,Pc=a(),ho=o("p"),ho.innerHTML=tb,Ec=a(),vo=o("p"),vo.innerHTML=ab,jc=a(),A=o("div"),l(Zt.$$.fragment),Vc=a(),xo=o("p"),xo.textContent=nb,Fc=a(),yo=o("p"),yo.innerHTML=ob,Ac=a(),me=o("div"),l(Qt.$$.fragment),Nc=a(),$o=o("p"),$o.textContent=rb,qc=a(),ue=o("div"),l(ea.$$.fragment),Hc=a(),_o=o("p"),_o.innerHTML=sb,Sc=a(),be=o("div"),l(ta.$$.fragment),zc=a(),To=o("p"),To.innerHTML=db,Uc=a(),ge=o("div"),l(aa.$$.fragment),Rc=a(),wo=o("p"),wo.textContent=lb,Bc=a(),Co=o("div"),l(na.$$.fragment),Oc=a(),fe=o("div"),l(oa.$$.fragment),Wc=a(),Mo=o("p"),Mo.textContent=cb,Xc=a(),he=o("div"),l(ra.$$.fragment),Gc=a(),Do=o("p"),Do.textContent=ib,Jc=a(),ve=o("div"),l(sa.$$.fragment),Yc=a(),Io=o("p"),Io.textContent=pb,Kc=a(),xe=o("div"),l(da.$$.fragment),Zc=a(),ko=o("p"),ko.textContent=mb,Qc=a(),ye=o("div"),l(la.$$.fragment),ei=a(),Lo=o("p"),Lo.textContent=ub,ti=a(),$e=o("div"),l(ca.$$.fragment),ai=a(),Po=o("p"),Po.textContent=bb,ni=a(),N=o("div"),l(ia.$$.fragment),oi=a(),Eo=o("p"),Eo.textContent=gb,ri=a(),jo=o("p"),jo.textContent=fb,si=a(),_e=o("div"),l(pa.$$.fragment),di=a(),Vo=o("p"),Vo.textContent=hb,li=a(),Te=o("div"),l(ma.$$.fragment),ci=a(),Fo=o("p"),Fo.textContent=vb,ii=a(),we=o("div"),l(ua.$$.fragment),pi=a(),Ao=o("p"),Ao.textContent=xb,mi=a(),Ce=o("div"),l(ba.$$.fragment),ui=a(),No=o("p"),No.textContent=yb,bi=a(),Me=o("div"),l(ga.$$.fragment),gi=a(),qo=o("p"),qo.innerHTML=$b,fi=a(),De=o("div"),l(fa.$$.fragment),hi=a(),Ho=o("p"),Ho.textContent=_b,vi=a(),q=o("div"),l(ha.$$.fragment),xi=a(),So=o("p"),So.textContent=Tb,yi=a(),zo=o("p"),zo.innerHTML=wb,$i=a(),Ie=o("div"),l(va.$$.fragment),_i=a(),Uo=o("p"),Uo.textContent=Cb,Ti=a(),ke=o("div"),l(xa.$$.fragment),wi=a(),Ro=o("p"),Ro.innerHTML=Mb,Ci=a(),H=o("div"),l(ya.$$.fragment),Mi=a(),Bo=o("p"),Bo.textContent=Db,Di=a(),Oo=o("p"),Oo.textContent=Ib,Ii=a(),Le=o("div"),l($a.$$.fragment),ki=a(),Wo=o("p"),Wo.textContent=kb,Li=a(),Pe=o("div"),l(_a.$$.fragment),Pi=a(),Xo=o("p"),Xo.textContent=Lb,Ei=a(),Ee=o("div"),l(Ta.$$.fragment),ji=a(),Go=o("p"),Go.textContent=Pb,Vi=a(),je=o("div"),l(wa.$$.fragment),Fi=a(),Jo=o("p"),Jo.textContent=Eb,Ai=a(),S=o("div"),l(Ca.$$.fragment),Ni=a(),Yo=o("p"),Yo.textContent=jb,qi=a(),Ko=o("p"),Ko.textContent=Vb,Hi=a(),Ve=o("div"),l(Ma.$$.fragment),Si=a(),Zo=o("p"),Zo.textContent=Fb,zi=a(),Qo=o("div"),l(Da.$$.fragment),Ui=a(),er=o("div"),l(Ia.$$.fragment),Ri=a(),k=o("div"),l(ka.$$.fragment),Bi=a(),tr=o("p"),tr.textContent=Ab,Oi=a(),ar=o("p"),ar.innerHTML=Nb,Wi=a(),nr=o("p"),nr.innerHTML=qb,Xi=a(),l(Fe.$$.fragment),Gi=a(),Ae=o("div"),l(La.$$.fragment),Ji=a(),or=o("p"),or.textContent=Hb,Yi=a(),Ne=o("div"),l(Pa.$$.fragment),Ki=a(),rr=o("p"),rr.textContent=Sb,Zi=a(),qe=o("div"),l(Ea.$$.fragment),Qi=a(),sr=o("p"),sr.innerHTML=zb,dd=a(),l(ja.$$.fragment),ld=a(),y=o("div"),l(Va.$$.fragment),ep=a(),dr=o("p"),dr.textContent=Ub,tp=a(),lr=o("p"),lr.textContent=Rb,ap=a(),cr=o("p"),cr.textContent=Bb,np=a(),ir=o("p"),ir.innerHTML=Ob,op=a(),pr=o("p"),pr.innerHTML=Wb,rp=a(),z=o("div"),l(Fa.$$.fragment),sp=a(),mr=o("p"),mr.textContent=Xb,dp=a(),ur=o("p"),ur.innerHTML=Gb,lp=a(),He=o("div"),l(Aa.$$.fragment),cp=a(),br=o("p"),br.textContent=Jb,ip=a(),Se=o("div"),l(Na.$$.fragment),pp=a(),gr=o("p"),gr.innerHTML=Yb,mp=a(),ze=o("div"),l(qa.$$.fragment),up=a(),fr=o("p"),fr.innerHTML=Kb,bp=a(),Ue=o("div"),l(Ha.$$.fragment),gp=a(),hr=o("p"),hr.textContent=Zb,fp=a(),vr=o("div"),l(Sa.$$.fragment),hp=a(),Re=o("div"),l(za.$$.fragment),vp=a(),xr=o("p"),xr.textContent=Qb,xp=a(),Be=o("div"),l(Ua.$$.fragment),yp=a(),yr=o("p"),yr.textContent=eg,$p=a(),Oe=o("div"),l(Ra.$$.fragment),_p=a(),$r=o("p"),$r.textContent=tg,Tp=a(),We=o("div"),l(Ba.$$.fragment),wp=a(),_r=o("p"),_r.textContent=ag,Cp=a(),Xe=o("div"),l(Oa.$$.fragment),Mp=a(),Tr=o("p"),Tr.textContent=ng,Dp=a(),Ge=o("div"),l(Wa.$$.fragment),Ip=a(),wr=o("p"),wr.textContent=og,kp=a(),U=o("div"),l(Xa.$$.fragment),Lp=a(),Cr=o("p"),Cr.textContent=rg,Pp=a(),Mr=o("p"),Mr.textContent=sg,Ep=a(),Je=o("div"),l(Ga.$$.fragment),jp=a(),Dr=o("p"),Dr.textContent=dg,Vp=a(),Ye=o("div"),l(Ja.$$.fragment),Fp=a(),Ir=o("p"),Ir.textContent=lg,Ap=a(),Ke=o("div"),l(Ya.$$.fragment),Np=a(),kr=o("p"),kr.textContent=cg,qp=a(),Ze=o("div"),l(Ka.$$.fragment),Hp=a(),Lr=o("p"),Lr.textContent=ig,Sp=a(),Qe=o("div"),l(Za.$$.fragment),zp=a(),Pr=o("p"),Pr.innerHTML=pg,Up=a(),et=o("div"),l(Qa.$$.fragment),Rp=a(),Er=o("p"),Er.textContent=mg,Bp=a(),R=o("div"),l(en.$$.fragment),Op=a(),jr=o("p"),jr.textContent=ug,Wp=a(),Vr=o("p"),Vr.textContent=bg,Xp=a(),tt=o("div"),l(tn.$$.fragment),Gp=a(),Fr=o("p"),Fr.textContent=gg,Jp=a(),at=o("div"),l(an.$$.fragment),Yp=a(),Ar=o("p"),Ar.textContent=fg,Kp=a(),B=o("div"),l(nn.$$.fragment),Zp=a(),Nr=o("p"),Nr.textContent=hg,Qp=a(),qr=o("p"),qr.textContent=vg,em=a(),nt=o("div"),l(on.$$.fragment),tm=a(),Hr=o("p"),Hr.textContent=xg,am=a(),ot=o("div"),l(rn.$$.fragment),nm=a(),Sr=o("p"),Sr.textContent=yg,om=a(),rt=o("div"),l(sn.$$.fragment),rm=a(),zr=o("p"),zr.textContent=$g,sm=a(),st=o("div"),l(dn.$$.fragment),dm=a(),Ur=o("p"),Ur.textContent=_g,lm=a(),O=o("div"),l(ln.$$.fragment),cm=a(),Rr=o("p"),Rr.textContent=Tg,im=a(),Br=o("p"),Br.textContent=wg,pm=a(),dt=o("div"),l(cn.$$.fragment),mm=a(),Or=o("p"),Or.textContent=Cg,um=a(),Wr=o("div"),l(pn.$$.fragment),cd=a(),l(mn.$$.fragment),id=a(),v=o("div"),l(un.$$.fragment),bm=a(),Xr=o("p"),Xr.textContent=Mg,gm=a(),Gr=o("p"),Gr.innerHTML=Dg,fm=a(),Jr=o("ul"),Jr.innerHTML=Ig,hm=a(),Yr=o("p"),Yr.innerHTML=kg,vm=a(),Kr=o("p"),Kr.innerHTML=Lg,xm=a(),Zr=o("p"),Zr.innerHTML=Pg,ym=a(),W=o("div"),l(bn.$$.fragment),$m=a(),Qr=o("p"),Qr.textContent=Eg,_m=a(),es=o("p"),es.innerHTML=jg,Tm=a(),lt=o("div"),l(gn.$$.fragment),wm=a(),ts=o("p"),ts.textContent=Vg,Cm=a(),ct=o("div"),l(fn.$$.fragment),Mm=a(),as=o("p"),as.innerHTML=Fg,Dm=a(),it=o("div"),l(hn.$$.fragment),Im=a(),ns=o("p"),ns.innerHTML=Ag,km=a(),pt=o("div"),l(vn.$$.fragment),Lm=a(),os=o("p"),os.textContent=Ng,Pm=a(),rs=o("div"),l(xn.$$.fragment),Em=a(),mt=o("div"),l(yn.$$.fragment),jm=a(),ss=o("p"),ss.textContent=qg,Vm=a(),ut=o("div"),l($n.$$.fragment),Fm=a(),ds=o("p"),ds.textContent=Hg,Am=a(),bt=o("div"),l(_n.$$.fragment),Nm=a(),ls=o("p"),ls.textContent=Sg,qm=a(),gt=o("div"),l(Tn.$$.fragment),Hm=a(),cs=o("p"),cs.textContent=zg,Sm=a(),ft=o("div"),l(wn.$$.fragment),zm=a(),is=o("p"),is.textContent=Ug,Um=a(),ht=o("div"),l(Cn.$$.fragment),Rm=a(),ps=o("p"),ps.textContent=Rg,Bm=a(),X=o("div"),l(Mn.$$.fragment),Om=a(),ms=o("p"),ms.textContent=Bg,Wm=a(),us=o("p"),us.textContent=Og,Xm=a(),vt=o("div"),l(Dn.$$.fragment),Gm=a(),bs=o("p"),bs.textContent=Wg,Jm=a(),xt=o("div"),l(In.$$.fragment),Ym=a(),gs=o("p"),gs.textContent=Xg,Km=a(),yt=o("div"),l(kn.$$.fragment),Zm=a(),fs=o("p"),fs.textContent=Gg,Qm=a(),$t=o("div"),l(Ln.$$.fragment),eu=a(),hs=o("p"),hs.textContent=Jg,tu=a(),_t=o("div"),l(Pn.$$.fragment),au=a(),vs=o("p"),vs.innerHTML=Yg,nu=a(),Tt=o("div"),l(En.$$.fragment),ou=a(),xs=o("p"),xs.textContent=Kg,ru=a(),G=o("div"),l(jn.$$.fragment),su=a(),ys=o("p"),ys.textContent=Zg,du=a(),$s=o("p"),$s.innerHTML=Qg,lu=a(),wt=o("div"),l(Vn.$$.fragment),cu=a(),_s=o("p"),_s.textContent=ef,iu=a(),Ct=o("div"),l(Fn.$$.fragment),pu=a(),Ts=o("p"),Ts.innerHTML=tf,mu=a(),J=o("div"),l(An.$$.fragment),uu=a(),ws=o("p"),ws.textContent=af,bu=a(),Cs=o("p"),Cs.textContent=nf,gu=a(),Mt=o("div"),l(Nn.$$.fragment),fu=a(),Ms=o("p"),Ms.textContent=of,hu=a(),Dt=o("div"),l(qn.$$.fragment),vu=a(),Ds=o("p"),Ds.textContent=rf,xu=a(),It=o("div"),l(Hn.$$.fragment),yu=a(),Is=o("p"),Is.textContent=sf,$u=a(),kt=o("div"),l(Sn.$$.fragment),_u=a(),ks=o("p"),ks.textContent=df,Tu=a(),Y=o("div"),l(zn.$$.fragment),wu=a(),Ls=o("p"),Ls.textContent=lf,Cu=a(),Ps=o("p"),Ps.textContent=cf,Mu=a(),Lt=o("div"),l(Un.$$.fragment),Du=a(),Es=o("p"),Es.textContent=pf,Iu=a(),js=o("div"),l(Rn.$$.fragment),ku=a(),Pt=o("div"),l(Bn.$$.fragment),Lu=a(),Vs=o("p"),Vs.innerHTML=mf,pd=a(),l(On.$$.fragment),md=a(),Z=o("div"),l(Wn.$$.fragment),Pu=a(),Fs=o("p"),Fs.textContent=uf,ud=a(),Q=o("div"),l(Xn.$$.fragment),Eu=a(),As=o("p"),As.textContent=bf,bd=a(),td=o("p"),this.h()},l(t){const C=If("svelte-u9bgzb",document.head);I=r(C,"META",{name:!0,content:!0}),C.forEach(s),Et=n(t),j=r(t,"P",{}),b(j).forEach(s),L=n(t),c(P.$$.fragment,t),D=n(t),E=r(t,"P",{"data-svelte-h":!0}),d(E)!=="svelte-1c1cm45"&&(E.innerHTML=ju),nd=n(t),c(jt.$$.fragment,t),od=n(t),T=r(t,"DIV",{class:!0});var w=b(T);c(Vt.$$.fragment,w),Jl=n(w),Gn=r(w,"P",{"data-svelte-h":!0}),d(Gn)!=="svelte-1f76q3k"&&(Gn.innerHTML=Vu),Yl=n(w),Jn=r(w,"P",{"data-svelte-h":!0}),d(Jn)!=="svelte-qeobii"&&(Jn.innerHTML=Fu),Kl=n(w),Yn=r(w,"P",{"data-svelte-h":!0}),d(Yn)!=="svelte-1jrktog"&&(Yn.textContent=Au),Zl=n(w),V=r(w,"DIV",{class:!0});var Ns=b(V);c(Ft.$$.fragment,Ns),Ql=n(Ns),Kn=r(Ns,"P",{"data-svelte-h":!0}),d(Kn)!=="svelte-1y2x2zy"&&(Kn.textContent=Nu),ec=n(Ns),Zn=r(Ns,"P",{"data-svelte-h":!0}),d(Zn)!=="svelte-ckn0y6"&&(Zn.innerHTML=qu),Ns.forEach(s),tc=n(w),ee=r(w,"DIV",{class:!0});var fd=b(ee);c(At.$$.fragment,fd),ac=n(fd),Qn=r(fd,"P",{"data-svelte-h":!0}),d(Qn)!=="svelte-62d01b"&&(Qn.textContent=Hu),fd.forEach(s),nc=n(w),te=r(w,"DIV",{class:!0});var hd=b(te);c(Nt.$$.fragment,hd),oc=n(hd),eo=r(hd,"P",{"data-svelte-h":!0}),d(eo)!=="svelte-qsqv8k"&&(eo.innerHTML=Su),hd.forEach(s),rc=n(w),ae=r(w,"DIV",{class:!0});var vd=b(ae);c(qt.$$.fragment,vd),sc=n(vd),to=r(vd,"P",{"data-svelte-h":!0}),d(to)!=="svelte-b5q6em"&&(to.innerHTML=zu),vd.forEach(s),dc=n(w),ne=r(w,"DIV",{class:!0});var xd=b(ne);c(Ht.$$.fragment,xd),lc=n(xd),ao=r(xd,"P",{"data-svelte-h":!0}),d(ao)!=="svelte-tnpwrs"&&(ao.textContent=Uu),xd.forEach(s),cc=n(w),no=r(w,"DIV",{class:!0});var gf=b(no);c(St.$$.fragment,gf),gf.forEach(s),ic=n(w),oe=r(w,"DIV",{class:!0});var yd=b(oe);c(zt.$$.fragment,yd),pc=n(yd),oo=r(yd,"P",{"data-svelte-h":!0}),d(oo)!=="svelte-wuom4w"&&(oo.textContent=Ru),yd.forEach(s),mc=n(w),re=r(w,"DIV",{class:!0});var $d=b(re);c(Ut.$$.fragment,$d),uc=n($d),ro=r($d,"P",{"data-svelte-h":!0}),d(ro)!=="svelte-15kfhrd"&&(ro.textContent=Bu),$d.forEach(s),bc=n(w),se=r(w,"DIV",{class:!0});var _d=b(se);c(Rt.$$.fragment,_d),gc=n(_d),so=r(_d,"P",{"data-svelte-h":!0}),d(so)!=="svelte-31bnu1"&&(so.textContent=Ou),_d.forEach(s),fc=n(w),de=r(w,"DIV",{class:!0});var Td=b(de);c(Bt.$$.fragment,Td),hc=n(Td),lo=r(Td,"P",{"data-svelte-h":!0}),d(lo)!=="svelte-ip69yt"&&(lo.textContent=Wu),Td.forEach(s),vc=n(w),le=r(w,"DIV",{class:!0});var wd=b(le);c(Ot.$$.fragment,wd),xc=n(wd),co=r(wd,"P",{"data-svelte-h":!0}),d(co)!=="svelte-u5ak6c"&&(co.textContent=Xu),wd.forEach(s),yc=n(w),ce=r(w,"DIV",{class:!0});var Cd=b(ce);c(Wt.$$.fragment,Cd),$c=n(Cd),io=r(Cd,"P",{"data-svelte-h":!0}),d(io)!=="svelte-1856ccq"&&(io.textContent=Gu),Cd.forEach(s),_c=n(w),F=r(w,"DIV",{class:!0});var qs=b(F);c(Xt.$$.fragment,qs),Tc=n(qs),po=r(qs,"P",{"data-svelte-h":!0}),d(po)!=="svelte-ld2730"&&(po.textContent=Ju),wc=n(qs),mo=r(qs,"P",{"data-svelte-h":!0}),d(mo)!=="svelte-106eibf"&&(mo.textContent=Yu),qs.forEach(s),Cc=n(w),ie=r(w,"DIV",{class:!0});var Md=b(ie);c(Gt.$$.fragment,Md),Mc=n(Md),uo=r(Md,"P",{"data-svelte-h":!0}),d(uo)!=="svelte-17cnfg4"&&(uo.textContent=Ku),Md.forEach(s),Dc=n(w),pe=r(w,"DIV",{class:!0});var Dd=b(pe);c(Jt.$$.fragment,Dd),Ic=n(Dd),bo=r(Dd,"P",{"data-svelte-h":!0}),d(bo)!=="svelte-66xmw"&&(bo.textContent=Zu),Dd.forEach(s),w.forEach(s),rd=n(t),c(Yt.$$.fragment,t),sd=n(t),h=r(t,"DIV",{class:!0});var x=b(h);c(Kt.$$.fragment,x),kc=n(x),go=r(x,"P",{"data-svelte-h":!0}),d(go)!=="svelte-1rcc8jp"&&(go.textContent=Qu),Lc=n(x),fo=r(x,"P",{"data-svelte-h":!0}),d(fo)!=="svelte-iyzaxg"&&(fo.textContent=eb),Pc=n(x),ho=r(x,"P",{"data-svelte-h":!0}),d(ho)!=="svelte-lrdd2f"&&(ho.innerHTML=tb),Ec=n(x),vo=r(x,"P",{"data-svelte-h":!0}),d(vo)!=="svelte-irwml3"&&(vo.innerHTML=ab),jc=n(x),A=r(x,"DIV",{class:!0});var Hs=b(A);c(Zt.$$.fragment,Hs),Vc=n(Hs),xo=r(Hs,"P",{"data-svelte-h":!0}),d(xo)!=="svelte-1y2x2zy"&&(xo.textContent=nb),Fc=n(Hs),yo=r(Hs,"P",{"data-svelte-h":!0}),d(yo)!=="svelte-ckn0y6"&&(yo.innerHTML=ob),Hs.forEach(s),Ac=n(x),me=r(x,"DIV",{class:!0});var Id=b(me);c(Qt.$$.fragment,Id),Nc=n(Id),$o=r(Id,"P",{"data-svelte-h":!0}),d($o)!=="svelte-62d01b"&&($o.textContent=rb),Id.forEach(s),qc=n(x),ue=r(x,"DIV",{class:!0});var kd=b(ue);c(ea.$$.fragment,kd),Hc=n(kd),_o=r(kd,"P",{"data-svelte-h":!0}),d(_o)!=="svelte-qsqv8k"&&(_o.innerHTML=sb),kd.forEach(s),Sc=n(x),be=r(x,"DIV",{class:!0});var Ld=b(be);c(ta.$$.fragment,Ld),zc=n(Ld),To=r(Ld,"P",{"data-svelte-h":!0}),d(To)!=="svelte-b5q6em"&&(To.innerHTML=db),Ld.forEach(s),Uc=n(x),ge=r(x,"DIV",{class:!0});var Pd=b(ge);c(aa.$$.fragment,Pd),Rc=n(Pd),wo=r(Pd,"P",{"data-svelte-h":!0}),d(wo)!=="svelte-tnpwrs"&&(wo.textContent=lb),Pd.forEach(s),Bc=n(x),Co=r(x,"DIV",{class:!0});var ff=b(Co);c(na.$$.fragment,ff),ff.forEach(s),Oc=n(x),fe=r(x,"DIV",{class:!0});var Ed=b(fe);c(oa.$$.fragment,Ed),Wc=n(Ed),Mo=r(Ed,"P",{"data-svelte-h":!0}),d(Mo)!=="svelte-wuom4w"&&(Mo.textContent=cb),Ed.forEach(s),Xc=n(x),he=r(x,"DIV",{class:!0});var jd=b(he);c(ra.$$.fragment,jd),Gc=n(jd),Do=r(jd,"P",{"data-svelte-h":!0}),d(Do)!=="svelte-15kfhrd"&&(Do.textContent=ib),jd.forEach(s),Jc=n(x),ve=r(x,"DIV",{class:!0});var Vd=b(ve);c(sa.$$.fragment,Vd),Yc=n(Vd),Io=r(Vd,"P",{"data-svelte-h":!0}),d(Io)!=="svelte-31bnu1"&&(Io.textContent=pb),Vd.forEach(s),Kc=n(x),xe=r(x,"DIV",{class:!0});var Fd=b(xe);c(da.$$.fragment,Fd),Zc=n(Fd),ko=r(Fd,"P",{"data-svelte-h":!0}),d(ko)!=="svelte-ip69yt"&&(ko.textContent=mb),Fd.forEach(s),Qc=n(x),ye=r(x,"DIV",{class:!0});var Ad=b(ye);c(la.$$.fragment,Ad),ei=n(Ad),Lo=r(Ad,"P",{"data-svelte-h":!0}),d(Lo)!=="svelte-u5ak6c"&&(Lo.textContent=ub),Ad.forEach(s),ti=n(x),$e=r(x,"DIV",{class:!0});var Nd=b($e);c(ca.$$.fragment,Nd),ai=n(Nd),Po=r(Nd,"P",{"data-svelte-h":!0}),d(Po)!=="svelte-1856ccq"&&(Po.textContent=bb),Nd.forEach(s),ni=n(x),N=r(x,"DIV",{class:!0});var Ss=b(N);c(ia.$$.fragment,Ss),oi=n(Ss),Eo=r(Ss,"P",{"data-svelte-h":!0}),d(Eo)!=="svelte-ld2730"&&(Eo.textContent=gb),ri=n(Ss),jo=r(Ss,"P",{"data-svelte-h":!0}),d(jo)!=="svelte-106eibf"&&(jo.textContent=fb),Ss.forEach(s),si=n(x),_e=r(x,"DIV",{class:!0});var qd=b(_e);c(pa.$$.fragment,qd),di=n(qd),Vo=r(qd,"P",{"data-svelte-h":!0}),d(Vo)!=="svelte-17cnfg4"&&(Vo.textContent=hb),qd.forEach(s),li=n(x),Te=r(x,"DIV",{class:!0});var Hd=b(Te);c(ma.$$.fragment,Hd),ci=n(Hd),Fo=r(Hd,"P",{"data-svelte-h":!0}),d(Fo)!=="svelte-66xmw"&&(Fo.textContent=vb),Hd.forEach(s),ii=n(x),we=r(x,"DIV",{class:!0});var Sd=b(we);c(ua.$$.fragment,Sd),pi=n(Sd),Ao=r(Sd,"P",{"data-svelte-h":!0}),d(Ao)!=="svelte-17uczb9"&&(Ao.textContent=xb),Sd.forEach(s),mi=n(x),Ce=r(x,"DIV",{class:!0});var zd=b(Ce);c(ba.$$.fragment,zd),ui=n(zd),No=r(zd,"P",{"data-svelte-h":!0}),d(No)!=="svelte-rywqeu"&&(No.textContent=yb),zd.forEach(s),bi=n(x),Me=r(x,"DIV",{class:!0});var Ud=b(Me);c(ga.$$.fragment,Ud),gi=n(Ud),qo=r(Ud,"P",{"data-svelte-h":!0}),d(qo)!=="svelte-1mw3qp9"&&(qo.innerHTML=$b),Ud.forEach(s),fi=n(x),De=r(x,"DIV",{class:!0});var Rd=b(De);c(fa.$$.fragment,Rd),hi=n(Rd),Ho=r(Rd,"P",{"data-svelte-h":!0}),d(Ho)!=="svelte-u1ndw3"&&(Ho.textContent=_b),Rd.forEach(s),vi=n(x),q=r(x,"DIV",{class:!0});var zs=b(q);c(ha.$$.fragment,zs),xi=n(zs),So=r(zs,"P",{"data-svelte-h":!0}),d(So)!=="svelte-1k8bx9d"&&(So.textContent=Tb),yi=n(zs),zo=r(zs,"P",{"data-svelte-h":!0}),d(zo)!=="svelte-1ns8yy"&&(zo.innerHTML=wb),zs.forEach(s),$i=n(x),Ie=r(x,"DIV",{class:!0});var Bd=b(Ie);c(va.$$.fragment,Bd),_i=n(Bd),Uo=r(Bd,"P",{"data-svelte-h":!0}),d(Uo)!=="svelte-1ln9dp4"&&(Uo.textContent=Cb),Bd.forEach(s),Ti=n(x),ke=r(x,"DIV",{class:!0});var Od=b(ke);c(xa.$$.fragment,Od),wi=n(Od),Ro=r(Od,"P",{"data-svelte-h":!0}),d(Ro)!=="svelte-rkioww"&&(Ro.innerHTML=Mb),Od.forEach(s),Ci=n(x),H=r(x,"DIV",{class:!0});var Us=b(H);c(ya.$$.fragment,Us),Mi=n(Us),Bo=r(Us,"P",{"data-svelte-h":!0}),d(Bo)!=="svelte-1jj5n06"&&(Bo.textContent=Db),Di=n(Us),Oo=r(Us,"P",{"data-svelte-h":!0}),d(Oo)!=="svelte-jvel2s"&&(Oo.textContent=Ib),Us.forEach(s),Ii=n(x),Le=r(x,"DIV",{class:!0});var Wd=b(Le);c($a.$$.fragment,Wd),ki=n(Wd),Wo=r(Wd,"P",{"data-svelte-h":!0}),d(Wo)!=="svelte-1fpfws6"&&(Wo.textContent=kb),Wd.forEach(s),Li=n(x),Pe=r(x,"DIV",{class:!0});var Xd=b(Pe);c(_a.$$.fragment,Xd),Pi=n(Xd),Xo=r(Xd,"P",{"data-svelte-h":!0}),d(Xo)!=="svelte-15ir3l4"&&(Xo.textContent=Lb),Xd.forEach(s),Ei=n(x),Ee=r(x,"DIV",{class:!0});var Gd=b(Ee);c(Ta.$$.fragment,Gd),ji=n(Gd),Go=r(Gd,"P",{"data-svelte-h":!0}),d(Go)!=="svelte-1xg7aaz"&&(Go.textContent=Pb),Gd.forEach(s),Vi=n(x),je=r(x,"DIV",{class:!0});var Jd=b(je);c(wa.$$.fragment,Jd),Fi=n(Jd),Jo=r(Jd,"P",{"data-svelte-h":!0}),d(Jo)!=="svelte-1kp5kv5"&&(Jo.textContent=Eb),Jd.forEach(s),Ai=n(x),S=r(x,"DIV",{class:!0});var Rs=b(S);c(Ca.$$.fragment,Rs),Ni=n(Rs),Yo=r(Rs,"P",{"data-svelte-h":!0}),d(Yo)!=="svelte-q6qfth"&&(Yo.textContent=jb),qi=n(Rs),Ko=r(Rs,"P",{"data-svelte-h":!0}),d(Ko)!=="svelte-w4xlrs"&&(Ko.textContent=Vb),Rs.forEach(s),Hi=n(x),Ve=r(x,"DIV",{class:!0});var Yd=b(Ve);c(Ma.$$.fragment,Yd),Si=n(Yd),Zo=r(Yd,"P",{"data-svelte-h":!0}),d(Zo)!=="svelte-10o6ut2"&&(Zo.textContent=Fb),Yd.forEach(s),zi=n(x),Qo=r(x,"DIV",{class:!0});var hf=b(Qo);c(Da.$$.fragment,hf),hf.forEach(s),Ui=n(x),er=r(x,"DIV",{class:!0});var vf=b(er);c(Ia.$$.fragment,vf),vf.forEach(s),Ri=n(x),k=r(x,"DIV",{class:!0});var K=b(k);c(ka.$$.fragment,K),Bi=n(K),tr=r(K,"P",{"data-svelte-h":!0}),d(tr)!=="svelte-1rhelso"&&(tr.textContent=Ab),Oi=n(K),ar=r(K,"P",{"data-svelte-h":!0}),d(ar)!=="svelte-4ruhz1"&&(ar.innerHTML=Nb),Wi=n(K),nr=r(K,"P",{"data-svelte-h":!0}),d(nr)!=="svelte-1xw9iig"&&(nr.innerHTML=qb),Xi=n(K),c(Fe.$$.fragment,K),K.forEach(s),Gi=n(x),Ae=r(x,"DIV",{class:!0});var Kd=b(Ae);c(La.$$.fragment,Kd),Ji=n(Kd),or=r(Kd,"P",{"data-svelte-h":!0}),d(or)!=="svelte-hrf2b1"&&(or.textContent=Hb),Kd.forEach(s),Yi=n(x),Ne=r(x,"DIV",{class:!0});var Zd=b(Ne);c(Pa.$$.fragment,Zd),Ki=n(Zd),rr=r(Zd,"P",{"data-svelte-h":!0}),d(rr)!=="svelte-1k8fwqj"&&(rr.textContent=Sb),Zd.forEach(s),Zi=n(x),qe=r(x,"DIV",{class:!0});var Qd=b(qe);c(Ea.$$.fragment,Qd),Qi=n(Qd),sr=r(Qd,"P",{"data-svelte-h":!0}),d(sr)!=="svelte-1cm2vyj"&&(sr.innerHTML=zb),Qd.forEach(s),x.forEach(s),dd=n(t),c(ja.$$.fragment,t),ld=n(t),y=r(t,"DIV",{class:!0});var _=b(y);c(Va.$$.fragment,_),ep=n(_),dr=r(_,"P",{"data-svelte-h":!0}),d(dr)!=="svelte-2oq36h"&&(dr.textContent=Ub),tp=n(_),lr=r(_,"P",{"data-svelte-h":!0}),d(lr)!=="svelte-1fzt9hi"&&(lr.textContent=Rb),ap=n(_),cr=r(_,"P",{"data-svelte-h":!0}),d(cr)!=="svelte-wsxifu"&&(cr.textContent=Bb),np=n(_),ir=r(_,"P",{"data-svelte-h":!0}),d(ir)!=="svelte-1973ehs"&&(ir.innerHTML=Ob),op=n(_),pr=r(_,"P",{"data-svelte-h":!0}),d(pr)!=="svelte-irwml3"&&(pr.innerHTML=Wb),rp=n(_),z=r(_,"DIV",{class:!0});var Bs=b(z);c(Fa.$$.fragment,Bs),sp=n(Bs),mr=r(Bs,"P",{"data-svelte-h":!0}),d(mr)!=="svelte-1y2x2zy"&&(mr.textContent=Xb),dp=n(Bs),ur=r(Bs,"P",{"data-svelte-h":!0}),d(ur)!=="svelte-ckn0y6"&&(ur.innerHTML=Gb),Bs.forEach(s),lp=n(_),He=r(_,"DIV",{class:!0});var el=b(He);c(Aa.$$.fragment,el),cp=n(el),br=r(el,"P",{"data-svelte-h":!0}),d(br)!=="svelte-62d01b"&&(br.textContent=Jb),el.forEach(s),ip=n(_),Se=r(_,"DIV",{class:!0});var tl=b(Se);c(Na.$$.fragment,tl),pp=n(tl),gr=r(tl,"P",{"data-svelte-h":!0}),d(gr)!=="svelte-qsqv8k"&&(gr.innerHTML=Yb),tl.forEach(s),mp=n(_),ze=r(_,"DIV",{class:!0});var al=b(ze);c(qa.$$.fragment,al),up=n(al),fr=r(al,"P",{"data-svelte-h":!0}),d(fr)!=="svelte-b5q6em"&&(fr.innerHTML=Kb),al.forEach(s),bp=n(_),Ue=r(_,"DIV",{class:!0});var nl=b(Ue);c(Ha.$$.fragment,nl),gp=n(nl),hr=r(nl,"P",{"data-svelte-h":!0}),d(hr)!=="svelte-tnpwrs"&&(hr.textContent=Zb),nl.forEach(s),fp=n(_),vr=r(_,"DIV",{class:!0});var xf=b(vr);c(Sa.$$.fragment,xf),xf.forEach(s),hp=n(_),Re=r(_,"DIV",{class:!0});var ol=b(Re);c(za.$$.fragment,ol),vp=n(ol),xr=r(ol,"P",{"data-svelte-h":!0}),d(xr)!=="svelte-wuom4w"&&(xr.textContent=Qb),ol.forEach(s),xp=n(_),Be=r(_,"DIV",{class:!0});var rl=b(Be);c(Ua.$$.fragment,rl),yp=n(rl),yr=r(rl,"P",{"data-svelte-h":!0}),d(yr)!=="svelte-15kfhrd"&&(yr.textContent=eg),rl.forEach(s),$p=n(_),Oe=r(_,"DIV",{class:!0});var sl=b(Oe);c(Ra.$$.fragment,sl),_p=n(sl),$r=r(sl,"P",{"data-svelte-h":!0}),d($r)!=="svelte-31bnu1"&&($r.textContent=tg),sl.forEach(s),Tp=n(_),We=r(_,"DIV",{class:!0});var dl=b(We);c(Ba.$$.fragment,dl),wp=n(dl),_r=r(dl,"P",{"data-svelte-h":!0}),d(_r)!=="svelte-ip69yt"&&(_r.textContent=ag),dl.forEach(s),Cp=n(_),Xe=r(_,"DIV",{class:!0});var ll=b(Xe);c(Oa.$$.fragment,ll),Mp=n(ll),Tr=r(ll,"P",{"data-svelte-h":!0}),d(Tr)!=="svelte-u5ak6c"&&(Tr.textContent=ng),ll.forEach(s),Dp=n(_),Ge=r(_,"DIV",{class:!0});var cl=b(Ge);c(Wa.$$.fragment,cl),Ip=n(cl),wr=r(cl,"P",{"data-svelte-h":!0}),d(wr)!=="svelte-1856ccq"&&(wr.textContent=og),cl.forEach(s),kp=n(_),U=r(_,"DIV",{class:!0});var Os=b(U);c(Xa.$$.fragment,Os),Lp=n(Os),Cr=r(Os,"P",{"data-svelte-h":!0}),d(Cr)!=="svelte-ld2730"&&(Cr.textContent=rg),Pp=n(Os),Mr=r(Os,"P",{"data-svelte-h":!0}),d(Mr)!=="svelte-106eibf"&&(Mr.textContent=sg),Os.forEach(s),Ep=n(_),Je=r(_,"DIV",{class:!0});var il=b(Je);c(Ga.$$.fragment,il),jp=n(il),Dr=r(il,"P",{"data-svelte-h":!0}),d(Dr)!=="svelte-17cnfg4"&&(Dr.textContent=dg),il.forEach(s),Vp=n(_),Ye=r(_,"DIV",{class:!0});var pl=b(Ye);c(Ja.$$.fragment,pl),Fp=n(pl),Ir=r(pl,"P",{"data-svelte-h":!0}),d(Ir)!=="svelte-66xmw"&&(Ir.textContent=lg),pl.forEach(s),Ap=n(_),Ke=r(_,"DIV",{class:!0});var ml=b(Ke);c(Ya.$$.fragment,ml),Np=n(ml),kr=r(ml,"P",{"data-svelte-h":!0}),d(kr)!=="svelte-17uczb9"&&(kr.textContent=cg),ml.forEach(s),qp=n(_),Ze=r(_,"DIV",{class:!0});var ul=b(Ze);c(Ka.$$.fragment,ul),Hp=n(ul),Lr=r(ul,"P",{"data-svelte-h":!0}),d(Lr)!=="svelte-rywqeu"&&(Lr.textContent=ig),ul.forEach(s),Sp=n(_),Qe=r(_,"DIV",{class:!0});var bl=b(Qe);c(Za.$$.fragment,bl),zp=n(bl),Pr=r(bl,"P",{"data-svelte-h":!0}),d(Pr)!=="svelte-1mw3qp9"&&(Pr.innerHTML=pg),bl.forEach(s),Up=n(_),et=r(_,"DIV",{class:!0});var gl=b(et);c(Qa.$$.fragment,gl),Rp=n(gl),Er=r(gl,"P",{"data-svelte-h":!0}),d(Er)!=="svelte-u1ndw3"&&(Er.textContent=mg),gl.forEach(s),Bp=n(_),R=r(_,"DIV",{class:!0});var Ws=b(R);c(en.$$.fragment,Ws),Op=n(Ws),jr=r(Ws,"P",{"data-svelte-h":!0}),d(jr)!=="svelte-1k8bx9d"&&(jr.textContent=ug),Wp=n(Ws),Vr=r(Ws,"P",{"data-svelte-h":!0}),d(Vr)!=="svelte-a0nkdz"&&(Vr.textContent=bg),Ws.forEach(s),Xp=n(_),tt=r(_,"DIV",{class:!0});var fl=b(tt);c(tn.$$.fragment,fl),Gp=n(fl),Fr=r(fl,"P",{"data-svelte-h":!0}),d(Fr)!=="svelte-13m9bx6"&&(Fr.textContent=gg),fl.forEach(s),Jp=n(_),at=r(_,"DIV",{class:!0});var hl=b(at);c(an.$$.fragment,hl),Yp=n(hl),Ar=r(hl,"P",{"data-svelte-h":!0}),d(Ar)!=="svelte-uz2wpc"&&(Ar.textContent=fg),hl.forEach(s),Kp=n(_),B=r(_,"DIV",{class:!0});var Xs=b(B);c(nn.$$.fragment,Xs),Zp=n(Xs),Nr=r(Xs,"P",{"data-svelte-h":!0}),d(Nr)!=="svelte-1jj5n06"&&(Nr.textContent=hg),Qp=n(Xs),qr=r(Xs,"P",{"data-svelte-h":!0}),d(qr)!=="svelte-jvel2s"&&(qr.textContent=vg),Xs.forEach(s),em=n(_),nt=r(_,"DIV",{class:!0});var vl=b(nt);c(on.$$.fragment,vl),tm=n(vl),Hr=r(vl,"P",{"data-svelte-h":!0}),d(Hr)!=="svelte-1fpfws6"&&(Hr.textContent=xg),vl.forEach(s),am=n(_),ot=r(_,"DIV",{class:!0});var xl=b(ot);c(rn.$$.fragment,xl),nm=n(xl),Sr=r(xl,"P",{"data-svelte-h":!0}),d(Sr)!=="svelte-15ir3l4"&&(Sr.textContent=yg),xl.forEach(s),om=n(_),rt=r(_,"DIV",{class:!0});var yl=b(rt);c(sn.$$.fragment,yl),rm=n(yl),zr=r(yl,"P",{"data-svelte-h":!0}),d(zr)!=="svelte-1xg7aaz"&&(zr.textContent=$g),yl.forEach(s),sm=n(_),st=r(_,"DIV",{class:!0});var $l=b(st);c(dn.$$.fragment,$l),dm=n($l),Ur=r($l,"P",{"data-svelte-h":!0}),d(Ur)!=="svelte-1kp5kv5"&&(Ur.textContent=_g),$l.forEach(s),lm=n(_),O=r(_,"DIV",{class:!0});var Gs=b(O);c(ln.$$.fragment,Gs),cm=n(Gs),Rr=r(Gs,"P",{"data-svelte-h":!0}),d(Rr)!=="svelte-q6qfth"&&(Rr.textContent=Tg),im=n(Gs),Br=r(Gs,"P",{"data-svelte-h":!0}),d(Br)!=="svelte-w4xlrs"&&(Br.textContent=wg),Gs.forEach(s),pm=n(_),dt=r(_,"DIV",{class:!0});var _l=b(dt);c(cn.$$.fragment,_l),mm=n(_l),Or=r(_l,"P",{"data-svelte-h":!0}),d(Or)!=="svelte-10o6ut2"&&(Or.textContent=Cg),_l.forEach(s),um=n(_),Wr=r(_,"DIV",{class:!0});var yf=b(Wr);c(pn.$$.fragment,yf),yf.forEach(s),_.forEach(s),cd=n(t),c(mn.$$.fragment,t),id=n(t),v=r(t,"DIV",{class:!0});var $=b(v);c(un.$$.fragment,$),bm=n($),Xr=r($,"P",{"data-svelte-h":!0}),d(Xr)!=="svelte-1lginc7"&&(Xr.textContent=Mg),gm=n($),Gr=r($,"P",{"data-svelte-h":!0}),d(Gr)!=="svelte-1juetad"&&(Gr.innerHTML=Dg),fm=n($),Jr=r($,"UL",{"data-svelte-h":!0}),d(Jr)!=="svelte-12thqiq"&&(Jr.innerHTML=Ig),hm=n($),Yr=r($,"P",{"data-svelte-h":!0}),d(Yr)!=="svelte-y7sotr"&&(Yr.innerHTML=kg),vm=n($),Kr=r($,"P",{"data-svelte-h":!0}),d(Kr)!=="svelte-4lj9kj"&&(Kr.innerHTML=Lg),xm=n($),Zr=r($,"P",{"data-svelte-h":!0}),d(Zr)!=="svelte-s87cux"&&(Zr.innerHTML=Pg),ym=n($),W=r($,"DIV",{class:!0});var Js=b(W);c(bn.$$.fragment,Js),$m=n(Js),Qr=r(Js,"P",{"data-svelte-h":!0}),d(Qr)!=="svelte-1y2x2zy"&&(Qr.textContent=Eg),_m=n(Js),es=r(Js,"P",{"data-svelte-h":!0}),d(es)!=="svelte-ckn0y6"&&(es.innerHTML=jg),Js.forEach(s),Tm=n($),lt=r($,"DIV",{class:!0});var Tl=b(lt);c(gn.$$.fragment,Tl),wm=n(Tl),ts=r(Tl,"P",{"data-svelte-h":!0}),d(ts)!=="svelte-62d01b"&&(ts.textContent=Vg),Tl.forEach(s),Cm=n($),ct=r($,"DIV",{class:!0});var wl=b(ct);c(fn.$$.fragment,wl),Mm=n(wl),as=r(wl,"P",{"data-svelte-h":!0}),d(as)!=="svelte-qsqv8k"&&(as.innerHTML=Fg),wl.forEach(s),Dm=n($),it=r($,"DIV",{class:!0});var Cl=b(it);c(hn.$$.fragment,Cl),Im=n(Cl),ns=r(Cl,"P",{"data-svelte-h":!0}),d(ns)!=="svelte-b5q6em"&&(ns.innerHTML=Ag),Cl.forEach(s),km=n($),pt=r($,"DIV",{class:!0});var Ml=b(pt);c(vn.$$.fragment,Ml),Lm=n(Ml),os=r(Ml,"P",{"data-svelte-h":!0}),d(os)!=="svelte-tnpwrs"&&(os.textContent=Ng),Ml.forEach(s),Pm=n($),rs=r($,"DIV",{class:!0});var $f=b(rs);c(xn.$$.fragment,$f),$f.forEach(s),Em=n($),mt=r($,"DIV",{class:!0});var Dl=b(mt);c(yn.$$.fragment,Dl),jm=n(Dl),ss=r(Dl,"P",{"data-svelte-h":!0}),d(ss)!=="svelte-wuom4w"&&(ss.textContent=qg),Dl.forEach(s),Vm=n($),ut=r($,"DIV",{class:!0});var Il=b(ut);c($n.$$.fragment,Il),Fm=n(Il),ds=r(Il,"P",{"data-svelte-h":!0}),d(ds)!=="svelte-15kfhrd"&&(ds.textContent=Hg),Il.forEach(s),Am=n($),bt=r($,"DIV",{class:!0});var kl=b(bt);c(_n.$$.fragment,kl),Nm=n(kl),ls=r(kl,"P",{"data-svelte-h":!0}),d(ls)!=="svelte-31bnu1"&&(ls.textContent=Sg),kl.forEach(s),qm=n($),gt=r($,"DIV",{class:!0});var Ll=b(gt);c(Tn.$$.fragment,Ll),Hm=n(Ll),cs=r(Ll,"P",{"data-svelte-h":!0}),d(cs)!=="svelte-ip69yt"&&(cs.textContent=zg),Ll.forEach(s),Sm=n($),ft=r($,"DIV",{class:!0});var Pl=b(ft);c(wn.$$.fragment,Pl),zm=n(Pl),is=r(Pl,"P",{"data-svelte-h":!0}),d(is)!=="svelte-u5ak6c"&&(is.textContent=Ug),Pl.forEach(s),Um=n($),ht=r($,"DIV",{class:!0});var El=b(ht);c(Cn.$$.fragment,El),Rm=n(El),ps=r(El,"P",{"data-svelte-h":!0}),d(ps)!=="svelte-1856ccq"&&(ps.textContent=Rg),El.forEach(s),Bm=n($),X=r($,"DIV",{class:!0});var Ys=b(X);c(Mn.$$.fragment,Ys),Om=n(Ys),ms=r(Ys,"P",{"data-svelte-h":!0}),d(ms)!=="svelte-ld2730"&&(ms.textContent=Bg),Wm=n(Ys),us=r(Ys,"P",{"data-svelte-h":!0}),d(us)!=="svelte-106eibf"&&(us.textContent=Og),Ys.forEach(s),Xm=n($),vt=r($,"DIV",{class:!0});var jl=b(vt);c(Dn.$$.fragment,jl),Gm=n(jl),bs=r(jl,"P",{"data-svelte-h":!0}),d(bs)!=="svelte-17cnfg4"&&(bs.textContent=Wg),jl.forEach(s),Jm=n($),xt=r($,"DIV",{class:!0});var Vl=b(xt);c(In.$$.fragment,Vl),Ym=n(Vl),gs=r(Vl,"P",{"data-svelte-h":!0}),d(gs)!=="svelte-66xmw"&&(gs.textContent=Xg),Vl.forEach(s),Km=n($),yt=r($,"DIV",{class:!0});var Fl=b(yt);c(kn.$$.fragment,Fl),Zm=n(Fl),fs=r(Fl,"P",{"data-svelte-h":!0}),d(fs)!=="svelte-17uczb9"&&(fs.textContent=Gg),Fl.forEach(s),Qm=n($),$t=r($,"DIV",{class:!0});var Al=b($t);c(Ln.$$.fragment,Al),eu=n(Al),hs=r(Al,"P",{"data-svelte-h":!0}),d(hs)!=="svelte-rywqeu"&&(hs.textContent=Jg),Al.forEach(s),tu=n($),_t=r($,"DIV",{class:!0});var Nl=b(_t);c(Pn.$$.fragment,Nl),au=n(Nl),vs=r(Nl,"P",{"data-svelte-h":!0}),d(vs)!=="svelte-1mw3qp9"&&(vs.innerHTML=Yg),Nl.forEach(s),nu=n($),Tt=r($,"DIV",{class:!0});var ql=b(Tt);c(En.$$.fragment,ql),ou=n(ql),xs=r(ql,"P",{"data-svelte-h":!0}),d(xs)!=="svelte-u1ndw3"&&(xs.textContent=Kg),ql.forEach(s),ru=n($),G=r($,"DIV",{class:!0});var Ks=b(G);c(jn.$$.fragment,Ks),su=n(Ks),ys=r(Ks,"P",{"data-svelte-h":!0}),d(ys)!=="svelte-1k8bx9d"&&(ys.textContent=Zg),du=n(Ks),$s=r(Ks,"P",{"data-svelte-h":!0}),d($s)!=="svelte-1ns8yy"&&($s.innerHTML=Qg),Ks.forEach(s),lu=n($),wt=r($,"DIV",{class:!0});var Hl=b(wt);c(Vn.$$.fragment,Hl),cu=n(Hl),_s=r(Hl,"P",{"data-svelte-h":!0}),d(_s)!=="svelte-1ln9dp4"&&(_s.textContent=ef),Hl.forEach(s),iu=n($),Ct=r($,"DIV",{class:!0});var Sl=b(Ct);c(Fn.$$.fragment,Sl),pu=n(Sl),Ts=r(Sl,"P",{"data-svelte-h":!0}),d(Ts)!=="svelte-rkioww"&&(Ts.innerHTML=tf),Sl.forEach(s),mu=n($),J=r($,"DIV",{class:!0});var Zs=b(J);c(An.$$.fragment,Zs),uu=n(Zs),ws=r(Zs,"P",{"data-svelte-h":!0}),d(ws)!=="svelte-1jj5n06"&&(ws.textContent=af),bu=n(Zs),Cs=r(Zs,"P",{"data-svelte-h":!0}),d(Cs)!=="svelte-jvel2s"&&(Cs.textContent=nf),Zs.forEach(s),gu=n($),Mt=r($,"DIV",{class:!0});var zl=b(Mt);c(Nn.$$.fragment,zl),fu=n(zl),Ms=r(zl,"P",{"data-svelte-h":!0}),d(Ms)!=="svelte-1fpfws6"&&(Ms.textContent=of),zl.forEach(s),hu=n($),Dt=r($,"DIV",{class:!0});var Ul=b(Dt);c(qn.$$.fragment,Ul),vu=n(Ul),Ds=r(Ul,"P",{"data-svelte-h":!0}),d(Ds)!=="svelte-15ir3l4"&&(Ds.textContent=rf),Ul.forEach(s),xu=n($),It=r($,"DIV",{class:!0});var Rl=b(It);c(Hn.$$.fragment,Rl),yu=n(Rl),Is=r(Rl,"P",{"data-svelte-h":!0}),d(Is)!=="svelte-1xg7aaz"&&(Is.textContent=sf),Rl.forEach(s),$u=n($),kt=r($,"DIV",{class:!0});var Bl=b(kt);c(Sn.$$.fragment,Bl),_u=n(Bl),ks=r(Bl,"P",{"data-svelte-h":!0}),d(ks)!=="svelte-1kp5kv5"&&(ks.textContent=df),Bl.forEach(s),Tu=n($),Y=r($,"DIV",{class:!0});var Qs=b(Y);c(zn.$$.fragment,Qs),wu=n(Qs),Ls=r(Qs,"P",{"data-svelte-h":!0}),d(Ls)!=="svelte-q6qfth"&&(Ls.textContent=lf),Cu=n(Qs),Ps=r(Qs,"P",{"data-svelte-h":!0}),d(Ps)!=="svelte-w4xlrs"&&(Ps.textContent=cf),Qs.forEach(s),Mu=n($),Lt=r($,"DIV",{class:!0});var Ol=b(Lt);c(Un.$$.fragment,Ol),Du=n(Ol),Es=r(Ol,"P",{"data-svelte-h":!0}),d(Es)!=="svelte-10o6ut2"&&(Es.textContent=pf),Ol.forEach(s),Iu=n($),js=r($,"DIV",{class:!0});var _f=b(js);c(Rn.$$.fragment,_f),_f.forEach(s),ku=n($),Pt=r($,"DIV",{class:!0});var Wl=b(Pt);c(Bn.$$.fragment,Wl),Lu=n(Wl),Vs=r(Wl,"P",{"data-svelte-h":!0}),d(Vs)!=="svelte-jccnpb"&&(Vs.innerHTML=mf),Wl.forEach(s),$.forEach(s),pd=n(t),c(On.$$.fragment,t),md=n(t),Z=r(t,"DIV",{class:!0});var Xl=b(Z);c(Wn.$$.fragment,Xl),Pu=n(Xl),Fs=r(Xl,"P",{"data-svelte-h":!0}),d(Fs)!=="svelte-163mglw"&&(Fs.textContent=uf),Xl.forEach(s),ud=n(t),Q=r(t,"DIV",{class:!0});var Gl=b(Q);c(Xn.$$.fragment,Gl),Eu=n(Gl),As=r(Gl,"P",{"data-svelte-h":!0}),d(As)!=="svelte-vo2ke4"&&(As.textContent=bf),Gl.forEach(s),bd=n(t),td=r(t,"P",{}),b(td).forEach(s),this.h()},h(){g(I,"name","hf:doc:metadata"),g(I,"content",Vf),g(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(no,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Co,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g($e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(De,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Qo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(er,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(He,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(vr,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(We,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Wr,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(rs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(It,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(js,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,C){e(document.head,I),M(t,Et,C),M(t,j,C),M(t,L,C),i(P,t,C),M(t,D,C),M(t,E,C),M(t,nd,C),i(jt,t,C),M(t,od,C),M(t,T,C),i(Vt,T,null),e(T,Jl),e(T,Gn),e(T,Yl),e(T,Jn),e(T,Kl),e(T,Yn),e(T,Zl),e(T,V),i(Ft,V,null),e(V,Ql),e(V,Kn),e(V,ec),e(V,Zn),e(T,tc),e(T,ee),i(At,ee,null),e(ee,ac),e(ee,Qn),e(T,nc),e(T,te),i(Nt,te,null),e(te,oc),e(te,eo),e(T,rc),e(T,ae),i(qt,ae,null),e(ae,sc),e(ae,to),e(T,dc),e(T,ne),i(Ht,ne,null),e(ne,lc),e(ne,ao),e(T,cc),e(T,no),i(St,no,null),e(T,ic),e(T,oe),i(zt,oe,null),e(oe,pc),e(oe,oo),e(T,mc),e(T,re),i(Ut,re,null),e(re,uc),e(re,ro),e(T,bc),e(T,se),i(Rt,se,null),e(se,gc),e(se,so),e(T,fc),e(T,de),i(Bt,de,null),e(de,hc),e(de,lo),e(T,vc),e(T,le),i(Ot,le,null),e(le,xc),e(le,co),e(T,yc),e(T,ce),i(Wt,ce,null),e(ce,$c),e(ce,io),e(T,_c),e(T,F),i(Xt,F,null),e(F,Tc),e(F,po),e(F,wc),e(F,mo),e(T,Cc),e(T,ie),i(Gt,ie,null),e(ie,Mc),e(ie,uo),e(T,Dc),e(T,pe),i(Jt,pe,null),e(pe,Ic),e(pe,bo),M(t,rd,C),i(Yt,t,C),M(t,sd,C),M(t,h,C),i(Kt,h,null),e(h,kc),e(h,go),e(h,Lc),e(h,fo),e(h,Pc),e(h,ho),e(h,Ec),e(h,vo),e(h,jc),e(h,A),i(Zt,A,null),e(A,Vc),e(A,xo),e(A,Fc),e(A,yo),e(h,Ac),e(h,me),i(Qt,me,null),e(me,Nc),e(me,$o),e(h,qc),e(h,ue),i(ea,ue,null),e(ue,Hc),e(ue,_o),e(h,Sc),e(h,be),i(ta,be,null),e(be,zc),e(be,To),e(h,Uc),e(h,ge),i(aa,ge,null),e(ge,Rc),e(ge,wo),e(h,Bc),e(h,Co),i(na,Co,null),e(h,Oc),e(h,fe),i(oa,fe,null),e(fe,Wc),e(fe,Mo),e(h,Xc),e(h,he),i(ra,he,null),e(he,Gc),e(he,Do),e(h,Jc),e(h,ve),i(sa,ve,null),e(ve,Yc),e(ve,Io),e(h,Kc),e(h,xe),i(da,xe,null),e(xe,Zc),e(xe,ko),e(h,Qc),e(h,ye),i(la,ye,null),e(ye,ei),e(ye,Lo),e(h,ti),e(h,$e),i(ca,$e,null),e($e,ai),e($e,Po),e(h,ni),e(h,N),i(ia,N,null),e(N,oi),e(N,Eo),e(N,ri),e(N,jo),e(h,si),e(h,_e),i(pa,_e,null),e(_e,di),e(_e,Vo),e(h,li),e(h,Te),i(ma,Te,null),e(Te,ci),e(Te,Fo),e(h,ii),e(h,we),i(ua,we,null),e(we,pi),e(we,Ao),e(h,mi),e(h,Ce),i(ba,Ce,null),e(Ce,ui),e(Ce,No),e(h,bi),e(h,Me),i(ga,Me,null),e(Me,gi),e(Me,qo),e(h,fi),e(h,De),i(fa,De,null),e(De,hi),e(De,Ho),e(h,vi),e(h,q),i(ha,q,null),e(q,xi),e(q,So),e(q,yi),e(q,zo),e(h,$i),e(h,Ie),i(va,Ie,null),e(Ie,_i),e(Ie,Uo),e(h,Ti),e(h,ke),i(xa,ke,null),e(ke,wi),e(ke,Ro),e(h,Ci),e(h,H),i(ya,H,null),e(H,Mi),e(H,Bo),e(H,Di),e(H,Oo),e(h,Ii),e(h,Le),i($a,Le,null),e(Le,ki),e(Le,Wo),e(h,Li),e(h,Pe),i(_a,Pe,null),e(Pe,Pi),e(Pe,Xo),e(h,Ei),e(h,Ee),i(Ta,Ee,null),e(Ee,ji),e(Ee,Go),e(h,Vi),e(h,je),i(wa,je,null),e(je,Fi),e(je,Jo),e(h,Ai),e(h,S),i(Ca,S,null),e(S,Ni),e(S,Yo),e(S,qi),e(S,Ko),e(h,Hi),e(h,Ve),i(Ma,Ve,null),e(Ve,Si),e(Ve,Zo),e(h,zi),e(h,Qo),i(Da,Qo,null),e(h,Ui),e(h,er),i(Ia,er,null),e(h,Ri),e(h,k),i(ka,k,null),e(k,Bi),e(k,tr),e(k,Oi),e(k,ar),e(k,Wi),e(k,nr),e(k,Xi),i(Fe,k,null),e(h,Gi),e(h,Ae),i(La,Ae,null),e(Ae,Ji),e(Ae,or),e(h,Yi),e(h,Ne),i(Pa,Ne,null),e(Ne,Ki),e(Ne,rr),e(h,Zi),e(h,qe),i(Ea,qe,null),e(qe,Qi),e(qe,sr),M(t,dd,C),i(ja,t,C),M(t,ld,C),M(t,y,C),i(Va,y,null),e(y,ep),e(y,dr),e(y,tp),e(y,lr),e(y,ap),e(y,cr),e(y,np),e(y,ir),e(y,op),e(y,pr),e(y,rp),e(y,z),i(Fa,z,null),e(z,sp),e(z,mr),e(z,dp),e(z,ur),e(y,lp),e(y,He),i(Aa,He,null),e(He,cp),e(He,br),e(y,ip),e(y,Se),i(Na,Se,null),e(Se,pp),e(Se,gr),e(y,mp),e(y,ze),i(qa,ze,null),e(ze,up),e(ze,fr),e(y,bp),e(y,Ue),i(Ha,Ue,null),e(Ue,gp),e(Ue,hr),e(y,fp),e(y,vr),i(Sa,vr,null),e(y,hp),e(y,Re),i(za,Re,null),e(Re,vp),e(Re,xr),e(y,xp),e(y,Be),i(Ua,Be,null),e(Be,yp),e(Be,yr),e(y,$p),e(y,Oe),i(Ra,Oe,null),e(Oe,_p),e(Oe,$r),e(y,Tp),e(y,We),i(Ba,We,null),e(We,wp),e(We,_r),e(y,Cp),e(y,Xe),i(Oa,Xe,null),e(Xe,Mp),e(Xe,Tr),e(y,Dp),e(y,Ge),i(Wa,Ge,null),e(Ge,Ip),e(Ge,wr),e(y,kp),e(y,U),i(Xa,U,null),e(U,Lp),e(U,Cr),e(U,Pp),e(U,Mr),e(y,Ep),e(y,Je),i(Ga,Je,null),e(Je,jp),e(Je,Dr),e(y,Vp),e(y,Ye),i(Ja,Ye,null),e(Ye,Fp),e(Ye,Ir),e(y,Ap),e(y,Ke),i(Ya,Ke,null),e(Ke,Np),e(Ke,kr),e(y,qp),e(y,Ze),i(Ka,Ze,null),e(Ze,Hp),e(Ze,Lr),e(y,Sp),e(y,Qe),i(Za,Qe,null),e(Qe,zp),e(Qe,Pr),e(y,Up),e(y,et),i(Qa,et,null),e(et,Rp),e(et,Er),e(y,Bp),e(y,R),i(en,R,null),e(R,Op),e(R,jr),e(R,Wp),e(R,Vr),e(y,Xp),e(y,tt),i(tn,tt,null),e(tt,Gp),e(tt,Fr),e(y,Jp),e(y,at),i(an,at,null),e(at,Yp),e(at,Ar),e(y,Kp),e(y,B),i(nn,B,null),e(B,Zp),e(B,Nr),e(B,Qp),e(B,qr),e(y,em),e(y,nt),i(on,nt,null),e(nt,tm),e(nt,Hr),e(y,am),e(y,ot),i(rn,ot,null),e(ot,nm),e(ot,Sr),e(y,om),e(y,rt),i(sn,rt,null),e(rt,rm),e(rt,zr),e(y,sm),e(y,st),i(dn,st,null),e(st,dm),e(st,Ur),e(y,lm),e(y,O),i(ln,O,null),e(O,cm),e(O,Rr),e(O,im),e(O,Br),e(y,pm),e(y,dt),i(cn,dt,null),e(dt,mm),e(dt,Or),e(y,um),e(y,Wr),i(pn,Wr,null),M(t,cd,C),i(mn,t,C),M(t,id,C),M(t,v,C),i(un,v,null),e(v,bm),e(v,Xr),e(v,gm),e(v,Gr),e(v,fm),e(v,Jr),e(v,hm),e(v,Yr),e(v,vm),e(v,Kr),e(v,xm),e(v,Zr),e(v,ym),e(v,W),i(bn,W,null),e(W,$m),e(W,Qr),e(W,_m),e(W,es),e(v,Tm),e(v,lt),i(gn,lt,null),e(lt,wm),e(lt,ts),e(v,Cm),e(v,ct),i(fn,ct,null),e(ct,Mm),e(ct,as),e(v,Dm),e(v,it),i(hn,it,null),e(it,Im),e(it,ns),e(v,km),e(v,pt),i(vn,pt,null),e(pt,Lm),e(pt,os),e(v,Pm),e(v,rs),i(xn,rs,null),e(v,Em),e(v,mt),i(yn,mt,null),e(mt,jm),e(mt,ss),e(v,Vm),e(v,ut),i($n,ut,null),e(ut,Fm),e(ut,ds),e(v,Am),e(v,bt),i(_n,bt,null),e(bt,Nm),e(bt,ls),e(v,qm),e(v,gt),i(Tn,gt,null),e(gt,Hm),e(gt,cs),e(v,Sm),e(v,ft),i(wn,ft,null),e(ft,zm),e(ft,is),e(v,Um),e(v,ht),i(Cn,ht,null),e(ht,Rm),e(ht,ps),e(v,Bm),e(v,X),i(Mn,X,null),e(X,Om),e(X,ms),e(X,Wm),e(X,us),e(v,Xm),e(v,vt),i(Dn,vt,null),e(vt,Gm),e(vt,bs),e(v,Jm),e(v,xt),i(In,xt,null),e(xt,Ym),e(xt,gs),e(v,Km),e(v,yt),i(kn,yt,null),e(yt,Zm),e(yt,fs),e(v,Qm),e(v,$t),i(Ln,$t,null),e($t,eu),e($t,hs),e(v,tu),e(v,_t),i(Pn,_t,null),e(_t,au),e(_t,vs),e(v,nu),e(v,Tt),i(En,Tt,null),e(Tt,ou),e(Tt,xs),e(v,ru),e(v,G),i(jn,G,null),e(G,su),e(G,ys),e(G,du),e(G,$s),e(v,lu),e(v,wt),i(Vn,wt,null),e(wt,cu),e(wt,_s),e(v,iu),e(v,Ct),i(Fn,Ct,null),e(Ct,pu),e(Ct,Ts),e(v,mu),e(v,J),i(An,J,null),e(J,uu),e(J,ws),e(J,bu),e(J,Cs),e(v,gu),e(v,Mt),i(Nn,Mt,null),e(Mt,fu),e(Mt,Ms),e(v,hu),e(v,Dt),i(qn,Dt,null),e(Dt,vu),e(Dt,Ds),e(v,xu),e(v,It),i(Hn,It,null),e(It,yu),e(It,Is),e(v,$u),e(v,kt),i(Sn,kt,null),e(kt,_u),e(kt,ks),e(v,Tu),e(v,Y),i(zn,Y,null),e(Y,wu),e(Y,Ls),e(Y,Cu),e(Y,Ps),e(v,Mu),e(v,Lt),i(Un,Lt,null),e(Lt,Du),e(Lt,Es),e(v,Iu),e(v,js),i(Rn,js,null),e(v,ku),e(v,Pt),i(Bn,Pt,null),e(Pt,Lu),e(Pt,Vs),M(t,pd,C),i(On,t,C),M(t,md,C),M(t,Z,C),i(Wn,Z,null),e(Z,Pu),e(Z,Fs),M(t,ud,C),M(t,Q,C),i(Xn,Q,null),e(Q,Eu),e(Q,As),M(t,bd,C),M(t,td,C),gd=!0},p(t,[C]){const w={};C&2&&(w.$$scope={dirty:C,ctx:t}),Fe.$set(w)},i(t){gd||(p(P.$$.fragment,t),p(jt.$$.fragment,t),p(Vt.$$.fragment,t),p(Ft.$$.fragment,t),p(At.$$.fragment,t),p(Nt.$$.fragment,t),p(qt.$$.fragment,t),p(Ht.$$.fragment,t),p(St.$$.fragment,t),p(zt.$$.fragment,t),p(Ut.$$.fragment,t),p(Rt.$$.fragment,t),p(Bt.$$.fragment,t),p(Ot.$$.fragment,t),p(Wt.$$.fragment,t),p(Xt.$$.fragment,t),p(Gt.$$.fragment,t),p(Jt.$$.fragment,t),p(Yt.$$.fragment,t),p(Kt.$$.fragment,t),p(Zt.$$.fragment,t),p(Qt.$$.fragment,t),p(ea.$$.fragment,t),p(ta.$$.fragment,t),p(aa.$$.fragment,t),p(na.$$.fragment,t),p(oa.$$.fragment,t),p(ra.$$.fragment,t),p(sa.$$.fragment,t),p(da.$$.fragment,t),p(la.$$.fragment,t),p(ca.$$.fragment,t),p(ia.$$.fragment,t),p(pa.$$.fragment,t),p(ma.$$.fragment,t),p(ua.$$.fragment,t),p(ba.$$.fragment,t),p(ga.$$.fragment,t),p(fa.$$.fragment,t),p(ha.$$.fragment,t),p(va.$$.fragment,t),p(xa.$$.fragment,t),p(ya.$$.fragment,t),p($a.$$.fragment,t),p(_a.$$.fragment,t),p(Ta.$$.fragment,t),p(wa.$$.fragment,t),p(Ca.$$.fragment,t),p(Ma.$$.fragment,t),p(Da.$$.fragment,t),p(Ia.$$.fragment,t),p(ka.$$.fragment,t),p(Fe.$$.fragment,t),p(La.$$.fragment,t),p(Pa.$$.fragment,t),p(Ea.$$.fragment,t),p(ja.$$.fragment,t),p(Va.$$.fragment,t),p(Fa.$$.fragment,t),p(Aa.$$.fragment,t),p(Na.$$.fragment,t),p(qa.$$.fragment,t),p(Ha.$$.fragment,t),p(Sa.$$.fragment,t),p(za.$$.fragment,t),p(Ua.$$.fragment,t),p(Ra.$$.fragment,t),p(Ba.$$.fragment,t),p(Oa.$$.fragment,t),p(Wa.$$.fragment,t),p(Xa.$$.fragment,t),p(Ga.$$.fragment,t),p(Ja.$$.fragment,t),p(Ya.$$.fragment,t),p(Ka.$$.fragment,t),p(Za.$$.fragment,t),p(Qa.$$.fragment,t),p(en.$$.fragment,t),p(tn.$$.fragment,t),p(an.$$.fragment,t),p(nn.$$.fragment,t),p(on.$$.fragment,t),p(rn.$$.fragment,t),p(sn.$$.fragment,t),p(dn.$$.fragment,t),p(ln.$$.fragment,t),p(cn.$$.fragment,t),p(pn.$$.fragment,t),p(mn.$$.fragment,t),p(un.$$.fragment,t),p(bn.$$.fragment,t),p(gn.$$.fragment,t),p(fn.$$.fragment,t),p(hn.$$.fragment,t),p(vn.$$.fragment,t),p(xn.$$.fragment,t),p(yn.$$.fragment,t),p($n.$$.fragment,t),p(_n.$$.fragment,t),p(Tn.$$.fragment,t),p(wn.$$.fragment,t),p(Cn.$$.fragment,t),p(Mn.$$.fragment,t),p(Dn.$$.fragment,t),p(In.$$.fragment,t),p(kn.$$.fragment,t),p(Ln.$$.fragment,t),p(Pn.$$.fragment,t),p(En.$$.fragment,t),p(jn.$$.fragment,t),p(Vn.$$.fragment,t),p(Fn.$$.fragment,t),p(An.$$.fragment,t),p(Nn.$$.fragment,t),p(qn.$$.fragment,t),p(Hn.$$.fragment,t),p(Sn.$$.fragment,t),p(zn.$$.fragment,t),p(Un.$$.fragment,t),p(Rn.$$.fragment,t),p(Bn.$$.fragment,t),p(On.$$.fragment,t),p(Wn.$$.fragment,t),p(Xn.$$.fragment,t),gd=!0)},o(t){m(P.$$.fragment,t),m(jt.$$.fragment,t),m(Vt.$$.fragment,t),m(Ft.$$.fragment,t),m(At.$$.fragment,t),m(Nt.$$.fragment,t),m(qt.$$.fragment,t),m(Ht.$$.fragment,t),m(St.$$.fragment,t),m(zt.$$.fragment,t),m(Ut.$$.fragment,t),m(Rt.$$.fragment,t),m(Bt.$$.fragment,t),m(Ot.$$.fragment,t),m(Wt.$$.fragment,t),m(Xt.$$.fragment,t),m(Gt.$$.fragment,t),m(Jt.$$.fragment,t),m(Yt.$$.fragment,t),m(Kt.$$.fragment,t),m(Zt.$$.fragment,t),m(Qt.$$.fragment,t),m(ea.$$.fragment,t),m(ta.$$.fragment,t),m(aa.$$.fragment,t),m(na.$$.fragment,t),m(oa.$$.fragment,t),m(ra.$$.fragment,t),m(sa.$$.fragment,t),m(da.$$.fragment,t),m(la.$$.fragment,t),m(ca.$$.fragment,t),m(ia.$$.fragment,t),m(pa.$$.fragment,t),m(ma.$$.fragment,t),m(ua.$$.fragment,t),m(ba.$$.fragment,t),m(ga.$$.fragment,t),m(fa.$$.fragment,t),m(ha.$$.fragment,t),m(va.$$.fragment,t),m(xa.$$.fragment,t),m(ya.$$.fragment,t),m($a.$$.fragment,t),m(_a.$$.fragment,t),m(Ta.$$.fragment,t),m(wa.$$.fragment,t),m(Ca.$$.fragment,t),m(Ma.$$.fragment,t),m(Da.$$.fragment,t),m(Ia.$$.fragment,t),m(ka.$$.fragment,t),m(Fe.$$.fragment,t),m(La.$$.fragment,t),m(Pa.$$.fragment,t),m(Ea.$$.fragment,t),m(ja.$$.fragment,t),m(Va.$$.fragment,t),m(Fa.$$.fragment,t),m(Aa.$$.fragment,t),m(Na.$$.fragment,t),m(qa.$$.fragment,t),m(Ha.$$.fragment,t),m(Sa.$$.fragment,t),m(za.$$.fragment,t),m(Ua.$$.fragment,t),m(Ra.$$.fragment,t),m(Ba.$$.fragment,t),m(Oa.$$.fragment,t),m(Wa.$$.fragment,t),m(Xa.$$.fragment,t),m(Ga.$$.fragment,t),m(Ja.$$.fragment,t),m(Ya.$$.fragment,t),m(Ka.$$.fragment,t),m(Za.$$.fragment,t),m(Qa.$$.fragment,t),m(en.$$.fragment,t),m(tn.$$.fragment,t),m(an.$$.fragment,t),m(nn.$$.fragment,t),m(on.$$.fragment,t),m(rn.$$.fragment,t),m(sn.$$.fragment,t),m(dn.$$.fragment,t),m(ln.$$.fragment,t),m(cn.$$.fragment,t),m(pn.$$.fragment,t),m(mn.$$.fragment,t),m(un.$$.fragment,t),m(bn.$$.fragment,t),m(gn.$$.fragment,t),m(fn.$$.fragment,t),m(hn.$$.fragment,t),m(vn.$$.fragment,t),m(xn.$$.fragment,t),m(yn.$$.fragment,t),m($n.$$.fragment,t),m(_n.$$.fragment,t),m(Tn.$$.fragment,t),m(wn.$$.fragment,t),m(Cn.$$.fragment,t),m(Mn.$$.fragment,t),m(Dn.$$.fragment,t),m(In.$$.fragment,t),m(kn.$$.fragment,t),m(Ln.$$.fragment,t),m(Pn.$$.fragment,t),m(En.$$.fragment,t),m(jn.$$.fragment,t),m(Vn.$$.fragment,t),m(Fn.$$.fragment,t),m(An.$$.fragment,t),m(Nn.$$.fragment,t),m(qn.$$.fragment,t),m(Hn.$$.fragment,t),m(Sn.$$.fragment,t),m(zn.$$.fragment,t),m(Un.$$.fragment,t),m(Rn.$$.fragment,t),m(Bn.$$.fragment,t),m(On.$$.fragment,t),m(Wn.$$.fragment,t),m(Xn.$$.fragment,t),gd=!1},d(t){t&&(s(Et),s(j),s(L),s(D),s(E),s(nd),s(od),s(T),s(rd),s(sd),s(h),s(dd),s(ld),s(y),s(cd),s(id),s(v),s(pd),s(md),s(Z),s(ud),s(Q),s(bd),s(td)),s(I),u(P,t),u(jt,t),u(Vt),u(Ft),u(At),u(Nt),u(qt),u(Ht),u(St),u(zt),u(Ut),u(Rt),u(Bt),u(Ot),u(Wt),u(Xt),u(Gt),u(Jt),u(Yt,t),u(Kt),u(Zt),u(Qt),u(ea),u(ta),u(aa),u(na),u(oa),u(ra),u(sa),u(da),u(la),u(ca),u(ia),u(pa),u(ma),u(ua),u(ba),u(ga),u(fa),u(ha),u(va),u(xa),u(ya),u($a),u(_a),u(Ta),u(wa),u(Ca),u(Ma),u(Da),u(Ia),u(ka),u(Fe),u(La),u(Pa),u(Ea),u(ja,t),u(Va),u(Fa),u(Aa),u(Na),u(qa),u(Ha),u(Sa),u(za),u(Ua),u(Ra),u(Ba),u(Oa),u(Wa),u(Xa),u(Ga),u(Ja),u(Ya),u(Ka),u(Za),u(Qa),u(en),u(tn),u(an),u(nn),u(on),u(rn),u(sn),u(dn),u(ln),u(cn),u(pn),u(mn,t),u(un),u(bn),u(gn),u(fn),u(hn),u(vn),u(xn),u(yn),u($n),u(_n),u(Tn),u(wn),u(Cn),u(Mn),u(Dn),u(In),u(kn),u(Ln),u(Pn),u(En),u(jn),u(Vn),u(Fn),u(An),u(Nn),u(qn),u(Hn),u(Sn),u(zn),u(Un),u(Rn),u(Bn),u(On,t),u(Wn),u(Xn)}}}const Vf='{"title":"Table Classes","local":"table-classes","sections":[{"title":"Table","local":"datasets.table.Table","sections":[],"depth":2},{"title":"InMemoryTable","local":"datasets.table.InMemoryTable","sections":[],"depth":2},{"title":"MemoryMappedTable","local":"datasets.table.MemoryMappedTable","sections":[],"depth":2},{"title":"ConcatenationTable","local":"datasets.table.ConcatenationTable","sections":[],"depth":2},{"title":"Utils","local":"datasets.table.concat_tables","sections":[],"depth":2}],"depth":1}';function Ff(ad){return wf(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=kf}),[]}class Uf extends Mf{constructor(I){super(),Df(this,I,Ff,jf,Tf,{})}}export{Uf as component};
